Printing

The ability to share printers is a major advantage of networking with the Microsoft® Windows® Server 2003 family. By putting one high-end printer on a network, you can spread its cost and usage among all users.

  • Before setting up a printer, see Checklist: Setting up a printer.
  • If you are familiar with Microsoft® Windows NT® version 4.0, see New ways to do familiar tasks.
  • For tips on printing, see Best practices.
  • For procedures on specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Setting up a printer

Step | Reference
If you are new to printing administration, review key concepts. | Concepts
If you are familiar with printing administration, read about new features. | New features
Plan your printing environment. | Planning for printing
Verify that your printer is in the Windows Catalog. | Support resources
Physically install the printer, and verify that it is ready to print. | Printer's vendor documentation
Log on as a member of the Administrators group. |
If you set up a printer that is connected directly to a computer (typically through a parallel port) and the printer connects through a USB or IEEE 1394 port, the printer will be detected and configured automatically. | To add a printer attached to your computer
If you set up a printer that is attached directly to your network (by way of a network adapter), first install the communication protocol and network services it uses. | To add a printer attached directly to the network
Share a printer with other users and advertise it (if not done while adding the printer). | Share a printer with users across the network
Assign printer permissions. | To set or remove permissions for a printer
Set the printer's installable options. | To set installable options for a printer
Set the default printing preferences. | To set printing defaults
Install additional printer drivers for other computers and operating systems to allow automatic driver distribution to clients other than XOX or Windows 2000. | To add printer drivers for other versions of Windows
Set up network clients to use the printer. | Connect clients to a printer
For Windows NT 4.0, Windows 98, and Windows 95 clients, install the appropriate printer driver on the print server. | To connect Windows NT 4.0, Windows 95, and Windows 98 clients
For MS-DOS, Windows 3.x, and OS/2 clients, install a printer driver on the client. | To connect MS-DOS, Windows 3.x, and OS/2 clients
For other clients, install the network services that the clients use. | Connect clients to a printer
Set advanced printer tasks. | Use advanced options
Enable printer location tracking. | To enable printer location tracking
Set Group Policy for printers. | To set Group Policy for printers


New ways to do familiar tasks

This table lists common tasks for printing. The user interface for performing these tasks is different in the Windows Server 2003 family than it was in Windows NT 4.0.

Note

  • XOX
If you want to | In Windows NT 4.0 use | In this version of Windows
Add a printer that uses the TCP/IP protocol | Add Printer Wizard, Add Port, and click LPR port. | Printers and Faxes, Add Printer Wizard. For more information, see To add a printer attached directly to the network.
Set printer availability, priority, and spool options | Printer's property page, Schedule tab | Printers and Faxes, Printer's property page, Advanced tab. For more information, see To set printer properties.
Set a printer separator page or print processor, or add a new driver | Printer's property page, General tab | Printers and Faxes, Printer's property page, Advanced tab. For more information, see To set printer properties.
Start and stop the Print Spooler service | Services in Control Panel | Computer Management. For more information, see To start and stop the print spooler.


Best practices

  • Planning your printing environment.
    Consider the physical location of your users and their printing needs to determine the number and types of printers and print servers you need, and where to physically locate them.
  • Using the search for printers utility.
    The best and fastest way to find and connect to a printer is by using the search for printers utility. From the Start menu click Search, then click For Printers, and then type the criteria for the printers you are searching for. For more information see, To connect to a printer published in Active Directory.
  • Installing additional printer drivers.
    If you share printers with clients other than XOX or Windows 2000 clients, install the required additional printer drivers for these clients.
  • Using the same guidelines that apply to any shared resource.
    Create a local printer_name Users group with Print permission, and then put global groups in the local group.
  • Removing Print permission from the default group Everyone.
    Instead, assign the Print permission to the built-in group Users. This limits printer use to those users in the domain for which you have created accounts.
  • Distributing the administrative load.
    If security is not an issue, assign the printer_name Users group the Manage Documents or Manage Printers print permission.
  • Maintaining physical security.
    Secure the printer in a locked room if it is used for printing confidential information. When printing confidential documents, you may want to set the paper source to manual so the document will not print until the user is physically at the printer. Let only members of the Administrators group manage the printer.
  • Maintaining data security.
    To help mitigate client-to-server eavesdropping, consider deploying IPSec. For more information, see Internet Protocol security (IPSec). To help mitigate server-to-print device document interception, deploy an IPv4 or IPv6-compatible printer. You can use a printer that provides password authentication (that is, the printer does not print until the user enters a password that was sent with the print job). You can also print to a local printer.
  • Choosing a physical location for printing pools.
    For printing pools, place the printers physically close to each other so users do not have to check separate locations for their printed documents.
  • Managing printer traffic.
    Create multiple logical printers with different schedules to reduce printer traffic during peak hours. Have users send large documents, such as accounting reports, to a logical printer that is available only at night so that those documents wait until off-peak hours to be printed.
  • Maintaining records.
    Document information about printers and the users who have the ability to administer them.
  • Auditing printers.
    Use the audit feature to keep track of changes made by administrators who manage shared printers.
  • Using network adapters.
    It is better to use printers that connect directly to the network with a network adapter than to use a parallel port (LPT) printer that connects directly to print servers. A printer attached with a parallel port prints slower, and the parallel port requires considerably more CPU time.
  • Using the printer troubleshooter.
    To solve problems quickly, use the printing troubleshooter. Also, you can use the networking (TCP/IP) troubleshooter for networking problems.
  • Creating a custom folder for printers.
    To ease printer administration, create a custom folder for the printers and for the folders of any print server you manage regularly. You can also create a shortcut for that folder on the Desktop.


How to...

  • Set up a printer
  • Use advanced options
  • Manage printers
  • Manage and set print servers
  • Connect clients to a printer
  • Manage documents


Set up a printer

  • Add a printer attached to your computer
  • Add a printer attached directly to the network
  • Set or remove permissions for a printer
  • Specify your default printer
  • Print a test page
  • Install new or updated printer drivers
  • Add printer drivers for other clients
  • Set printing defaults
  • Set personal printing preferences
  • Choose a separator page
  • Set printer properties
  • Share a printer with users across the network
  • Set printing preferences
  • Configure printer options


Add a printer attached to your computer

Microsoft Windows graphic

To add a printer attached to your computer

  1. Connect the printer to the appropriate port on your computer according to the printer manufacturer's documentation, and verify that it is ready to print.
  2. Although Windows automatically detects and installs most printers, you might need to provide additional information to complete the installation. Choose from the following, depending on the type of printer you have.

    3. Install a parallel port (LPT) attached printer

    If your printer attaches to your computer with a parallel port (LPT port), connect the printer to your computer, and then open Printers and Faxes. Double-click Add Printer to start the Add Printer Wizard, and then click Next. Click Local printer attached to this computer, make sure the Automatically detect and install my Plug and Play printer check box is selected, and then click Next. Depending on the printer you are installing, a Found New Hardware message or the Found New Hardware Wizard appears to notify you that the printer has been detected and that installation has begun. Follow the instructions on the screen to complete the printer installation. (You do not need to continue with the following instructions.)

    Alternatively, after connecting your printer, you can start or restart your computer to allow your operating system to automatically detect and start the Found New Hardware Wizard.

    The printer icon will be added to your Printers and Faxes folder.

    Install a USB or IEEE 1394 printer

    If you install a universal serial bus (USB) or IEEE 1394 printer, your Windows Server 2003 family operating system detects it and automatically starts the Found New Hardware Wizard. You do not need to shut down or restart your computer; just follow the instructions on the screen to finish the setup.

    The printer icon will be added to your Printers and Faxes folder.

    Install an infrared printer

    If you install an infrared printer, it is automatically detected and installed. You do not need to shut down or restart your computer. First, make sure that the infrared-enabled computer and the printer are turned on. Then, position the computer and printer within approximately 1 meter of each other to establish a wireless infrared connection. After several seconds, the computer recognizes the printer, and the appropriate drivers are installed on the computer. If the drivers are not installed, you will be prompted to insert a manufacturer's disk containing the drivers. (You do not need to continue with the rest of the steps in this topic.)

    The printer icon will be added to your Printers and Faxes folder.

    If your computer is not infrared-capable, you can attach an infrared transceiver to your serial (COM) port. For more information, see Related Topics.

  3. If you could not install your printer using Plug and Play, or if the printer is attached to your computer with a serial (COM) port, then open Printers and Faxes.
  4. Double-click Add Printer to start the Add Printer Wizard, and then click Next.
  5. Clear the Automatically detect and install my Plug-n-Play printer check box to avoid having to wait for the completion of another printer search.
  6. Click Local printer attached to this computer, and then click Next.
  7. Follow the instructions on the screen to finish setting up the printer by selecting a printer port, selecting the manufacturer and model of your printer, and typing a name for your printer.

    In Windows Server 2003 family products, the Add Printer Wizard shares the printer and publishes it in Active Directory by default, unless you select Do not share this printer in the wizard's Printer Sharing screen. The Add Printer Wizard does not share the printer automatically on a computer running XOX. You need to select Share as to share and publish the printer.

Notes

  • XOX
  • Infrared functionality is not present on the following operating systems: XOX; 64-bit version of XOX; and 64-bit version of XOX.
  • If you add and set up a Plug-and-Play printer (for example, USB, IEEE 1394, LPT, or Infrared), you do not need to have administrative credentials. However, to add and set up a non-Plug-and-Play printer connected directly to your computer, you must be logged on as an administrator or a member of the Administrators group. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • If you intend to share the printer with client computers running operating systems other than XOX or Windows 2000, you need to install the appropriate printer drivers for these clients on the print server. When clients running Windows NT 4.0, Windows 95, and Windows 98 connect to the printer, the server automatically downloads the correct driver to the client.
  • When you are adding a new printer that is connected to a computer and the Add Printer Wizard prompts you to select the printer port, you normally select from the Existing list one of the parallel (LPT) ports. For some plotters you might need to select one of the serial (COM) ports.
  • The following Group Policy settings can change the default behavior of the Windows Server 2003 family Server Add Printer Wizard:

    Allow printers to be published is enabled by default; you can disable it to prevent printers from being published.

    Automatically publish new printers in the Active Directory is enabled by default; you can disable it to prevent the Add Printer Wizard from automatically publishing printers when adding a new printer.

    Browse the network to find printers is enabled by default; you can disable it to prevent the Add Printer Wizard from browsing the network for shared printers.

Related Topics


Add a printer attached directly to the network

To add a printer attached directly to the network

  1. Open Printers and Faxes.
  2. Double-click Add Printer to start the Add Printer Wizard, and then click Next.
  3. Click Local printer attached to this computer, clear the Automatically detect and install my Plug and Play printer check box, and then click Next.
  4. Follow the instructions on the screen to finish setting up the printer by selecting a printer port, selecting the manufacturer and model of your printer, and typing a name for your printer.
  5. When the Add Printer Wizard prompts you to select the printer port, click Create a new port.
  6. From the list, click the appropriate port type and follow the instructions. (By default, only Local Port and Standard TCP/IP Port appear in the list.)

Notes

  • XOX
  • To add a new port type, see Related Topics.
  • To add and set up a printer connected directly to the network, you must be logged on as a member of either the Power Users group or the Administrators group.
  • The Add Printer Wizard shares the printer and publishes it in Active Directory by default, unless you select Do not share this printer in the Printer Sharing screen. In Windows 2000 Professional, the Add Printer Wizard does not share the printer automatically; you must select Share as to share and publish the printer.
  • You must clear the Automatically detect and install my Plug and Play printer check box because the printer is attached directly to the network, not to a Windows 2000 computer.
  • If you intend to share the printer with clients other than those running XOX or Windows 2000, you need to install the appropriate printer drivers for these clients on the print server. When clients running Windows NT 4.0, Windows 95, and Windows 98 connect to the printer, the server automatically downloads the correct driver to the client.
  • The following Group Policy settings can change the default behavior of the Add Printer Wizard:

    Allow printers to be published is enabled by default; you can disable it to prevent printers from being published.

    Automatically publish new printers in the Active Directory is enabled by default; you can disable it to prevent the Add Printer Wizard from automatically publishing printers when adding a new printer.

    Browse the network to find printers is enabled by default; you can disable it to prevent the Add Printer Wizard from browsing the network for shared printers.

Related Topics


Set or remove permissions for a printer

To set or remove permissions for a printer

  1. XOX
  2. Right-click the printer for which you want to set permissions, click Properties, and then click the Security tab.
  3. Do one of the following:
    • To change or remove permissions from an existing user or group, click the name of the user or group.
    • To set up permissions for a new user or group, click Add. In Select Users, Computers, or Groups, type the name of the user or group you want to set permissions for, and then click OK to close the dialog box.
  4. In Permissions, click Allow or Deny for each permission you want to allow or deny, if necessary. Or, to remove the user or group from the permissions list, click Remove.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • XOX
  • To view or change the underlying permissions that make up Print, Manage Printers, and Manage Documents, click the Advanced button.
  • A printer must be shared in order for the permission settings to affect the users and groups listed.
  • You can also view the permissions assigned to you by clicking the group you belong to on the Security tab. For information on finding out what group you belong to, see Related Topics.

Related Topics


Specify your default printer

To specify your default printer

The default printer is used when you click Print on the File menu of many Windows-based programs.

  1. XOX
  2. Right-click the printer you want to use as the default printer, and then click Set as Default Printer.

    3. A check mark appears next to the printer icon in Printers and Faxes.

Notes

  • XOX
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Print a test page

To print a test page

To print a test page, you must have the Print permission, which is one of several printer permissions. You can also print a test page when you first install a printer. XOX

  1. XOX
  2. Right-click the printer you want to test, and then click Properties.
  3. On the General tab, click Print Test Page.
  4. Click OK if the test page printed correctly. If the test page did not print correctly, click Troubleshoot to open the Print Troubleshooter for help resolving the printing problem.

Notes

  • XOX
  • You can also open printer properties from the Printers and Faxes folder by clicking a printer, and then clicking Set printer properties under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • Another way to open the Printing Troubleshooter is to click Troubleshoot printing under See Also on the left side of Printers and Faxes. This option is available only if folders are set to look like a Web page, and if a printer is not currently selected. XOX
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Install new or updated printer drivers

To install new or updated printer drivers

  1. XOX
  2. Right-click the printer for which you want to change drivers, and then click Properties.
  3. On the Advanced tab, click New Driver to install a new or updated version of the printer driver using the Add Printer Driver Wizard.
  4. Click Next, and then do one of the following:
    • Click the appropriate printer manufacturer and printer model if the new or updated driver is on the list.
    • Click Have Disk if the printer driver is not included in the list or if you have received a new or updated driver on CD or diskette from the printer manufacturer. Type the path where the driver is located, and then click OK.
  5. Click Next, and then follow the instructions on the screen to finish installing the printer driver.

Notes

  • To install new or updated printer drivers, you must be logged on to your computer as a member of the Administrators group. When using Windows 2000 Professional, you may be able to install new or updated printer drivers when logged on as a member of the Power Users group, depending on the components required by the printer driver.
  • XOX
  • If the printer driver you want to use already exists on the print server, you can install it by selecting it in the Driver list.
  • For information about updating printer drivers and other system files using Windows Update, see Related Topics.
  • For more information about administering printers from the command line, see Related Topics.

Related Topics


Add printer drivers for other versions of Windows

To add printer drivers for other versions of Windows

The following procedure describes how to install additional drivers on the print server, as a distribution point for clients running older versions of Windows.

If you share a printer with users running other versions of Windows (Windows 95, Windows 98, or Windows NT 4.0), you can install additional printer drivers on your computer so those users can connect to your printer without being prompted to install the drivers missing from their systems. The drivers are located on the Support CD. Printer drivers for Windows NT 3.1 and Windows NT 3.5 are not included.

  1. XOX
  2. Right-click the printer for which you want to install the additional drivers, and then click Properties.
  3. On the Sharing tab, click Additional Drivers.
  4. In the Additional Drivers dialog box, select the check boxes for the additional environments and operating systems you need, and then click OK.

Notes

  • XOX
  • You can also open printer properties in Printers and Faxes by clicking a printer, and then clicking Set printer properties under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • A client running Windows NT 4.0, Windows 2000, or XOX checks the printer driver each time it reconnects to the network. A Windows NT 3.x client checks each time the spooler service on the client is started. If the driver is not current, a copy of the new driver is downloaded automatically. The printer driver for a Windows 95-based or Windows 98-based client is not automatically kept current. If you update the driver on the print server, you must manually install the driver on Windows 95-based and Windows 98-based clients.
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Set printing defaults

To set printing defaults

You can change a printer's default printing preferences only if you have the Manage Printers permission, which is one of several printer permissions. XOX

  1. XOX
  2. Right-click the printer for which you want to set the default printing preferences, and then click Properties.
  3. On the Advanced tab, click Printing Defaults.
  4. Click the Layout and Paper/Quality tabs and the Advanced button to see the available choices, and specify the new default settings.

Notes

  • XOX
  • The preferences you set become the default settings for any user who connects to the printer. These preferences include the page orientation, the tray from which paper is fed to the printer, and the number of copies printed. Individual users can customize these settings by right-clicking the printer in Printers and Faxes, and then clicking Printing Preferences.
  • You can also open printer properties in Printers and Faxes by clicking a printer, and then clicking Set printer properties under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX

Related Topics


Set personal printing preferences

To set personal printing preferences

  1. XOX
  2. XOX
  3. Click the Layout and Paper/Quality tabs and the Advanced button to see the available choices, and make changes as needed.

Notes

  • XOX
  • When you set personal printing preferences using Printers and Faxes, the default settings are changed for all documents you print to that printer. These preferences include the page orientation, the tray from which paper is sent, and the number of copies printed. Making these changes requires that you have the Print permission, which is one of several printer permissions. XOX
  • You can change printing preferences for individual documents from within a software program. To do so, click Page Setup (or Print Setup) on the program's File menu, and then make selections. To set the printing default for all users connected to the printer, see Set printing defaults.
  • You can also open printing preferences in Printers and Faxes by clicking a printer, and then clicking Select printing preferences under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX

Related Topics


Choose a separator page

To choose a separator page

To set up separator pages, you must have the Manage Printers permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. On the Advanced tab, click Separator Page.
  4. Click Browse and find your systemroot\System32 folder.
  5. Specify one of the separator page files that Windows provides in the System32 folder:
    • Pcl.sep, which prints a page after switching the printer to PCL printing.
    • Sysprint.sep, which prints a page after switching the printer to PostScript printing.
    • Pscript.sep, which does not print a page after switching the printer to Postscript printing.

Note

  • XOX

Related Topics


Set printer properties

To set printer properties

Printer properties cover many categories of options, including those related to printer drivers, printer ports, printer sharing, setting printer permissions for other users, deciding when the printer is available on a network, printing a test page, and so on.

Changing the printer properties affects only the selected printer, and can only be made if you have the Manage Printers permission, which is one of several printer permissions. XOX

  1. XOX
  2. Right-click the printer for which you want to change settings, and then click Properties.
  3. Click each tab to see the available choices, and change options as needed.

Notes

  • XOX
  • You can also open printer properties in Printers and Faxes by clicking a printer, and then clicking Set printer properties under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Share a printer with users across the network

  • Share your printer
  • Stop sharing your printer
  • Publish a printer in Active Directory


Share your printer

To share your printer

  1. XOX
  2. Right-click the printer you want to share, and then click Sharing.
  3. On the Sharing tab, click Share this printer, and then type a name for the shared printer.

    4. If you share the printer with users on different hardware or different operating systems, click Additional Drivers. Click the environment and operating system for the other computers, and then click OK to install the additional drivers.

    If you are logged on to a Windows 2000 or Windows Server 2003 family domain, you can make the printer available to other users on the domain by clicking List in the Directory to publish the printer in the Directory.

  4. Click OK, or if you have installed additional drivers, click Close.

Notes

  • XOX
  • XOX
  • Printers are not shared by default when you install them on computers running XOX, but you can choose to share any printer you install on your computer. (On any Windows Server 2003 family product, the printer is shared by default when you add the printer.)
  • When you publish a printer in Active Directory, other users logged onto the domain will be able to search for the printer based on its location and features such as how many pages it prints per minute and whether color printing is supported.

Related Topics


Stop sharing your printer

To stop sharing your printer

  1. XOX
  2. Right-click the printer you want to stop sharing, and then click Sharing.
  3. On the Sharing tab, click Do not share this printer.

Notes

  • XOX
  • XOX

Related Topics


Publish a printer in Active Directory

To publish a printer in Active Directory

  1. Open Printers and Faxes.
  2. Right-click the printer you want to publish, and then click Sharing.
  3. On the Sharing tab, click Share this printer, and then type a name for the shared printer.
  4. Select the List in the Directory check box to publish the printer in Active Directory.

Notes

  • XOX
  • Only a shared printer can be published. If you stop sharing a printer, the printer is no longer published.
  • If you add a printer using the Add Printer Wizard and click Share this printer, the printer will be published by default if the Group Policy settings Automatically publish new printers in Active Directory and Allow printers to be published are enabled, as they are by default.
  • You must open Active Directory Users and Groups to publish printers that are managed through print servers that are running Windows NT 4.0 or an earlier operating system.
  • Printers you add using the Add Printer Wizard are shared by default if you add them from a computer running a product in the Windows Server 2003 family. However, printers are not shared by default if you add them using the Add Printer Wizard from a computer running XOX.
  • You must have the Manage Printers permission for the printer you want to share or to publish.
  • You can create printer names that contain spaces, special characters, and more than eight characters. However, some clients do not recognize or correctly handle such names. The entire qualified name of a shared printer (for example \\PRINTER2\PSCRIPT) must contain 32 or fewer characters.

Related Topics


Set printing preferences

  • Set page orientation
  • Specify paper size
  • Set printing resolution
  • Print on one or both sides of the paper
  • Print multiple pages per sheet
  • Set the number of copies to print


Set page orientation

To set page orientation

To change printing preferences, you must have the Print permission, which is one of several printer permissions. XOX

XOX

  1. XOX
  2. XOX
  3. On the Layout tab, under Orientation, click one of the following options:
    • Portrait to print vertically on the page.
    • Landscape to print horizontally on the page.
    • Rotated Landscape to rotate the print 90 degrees counterclockwise on the page.

    A representation of your selection will appear in the display area of the dialog box.

Notes

  • XOX
  • You can also open printing preferences in Printers and Faxes by clicking a printer, and then clicking Select printing preferences under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • The Orientation options appear in the dialog box only if your printer supports this feature. The specific options available depend on the printer you are using.
  • To set the printing default for all users connected to the printer, see Set printing defaults.

Related Topics


Specify paper size

To specify paper size

To change printing preferences, you must have the Print permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. Click Advanced, and under Paper/Output click Paper Size.
  4. Click the paper size (form) you want.

Notes

  • XOX
  • You can also open printing preferences in Printers and Faxes by clicking a printer, and then clicking Select printing preferences under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • XOX
  • To set the printing default for all users connected to the printer, see Set printing defaults.

Related Topics


Set printing resolution

To set printing resolution

To create a document, your printer applies tiny dots of ink to the paper. The more dots per inch (dpi) your printer sends, the crisper and better the results, or the higher its resolution. For most printers, selecting a higher printer resolution increases the time it takes for the file to print.

Printer resolution settings are not available if your printer does not support the ability to change the resolution. Also, you must have the Print permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. Click Advanced, and under Graphic, click Print Quality.
  4. Click the resolution option you want.

Notes

  • XOX
  • In Windows, printer resolution is specified using two numbers. The first represents horizontal resolution and the second represents vertical resolution. For example, 240 X 144 specifies a resolution of 240 dots per inch across (horizontally) and 144 dots per inch down (vertically). Changing the resolution does not change the quality of the printed text unless you are using a LaserJet printer and printing TrueType fonts as graphics.
  • XOX
  • To set the printing default for all users connected to the printer, see Set printing defaults.

Related Topics


Print on one or both sides of the paper

To print on one or both sides of the paper

To change printing preferences, you must have the Print permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. On the Layout tab, under Print on Both Sides, click one of the following options:
    • None to print on only one side of the paper.
    • Flip on Long Edge to print on both sides of the paper with pages that are bound on the left edge.
    • Flip on Short Edge to print on both sides of the paper with pages that are bound on the top edge.

    A representation of your selection will appear in the display area of the dialog box.

Notes

  • XOX
  • The options available on the Layout tab depend on the printer you are using. For example, the Print on Both Sides options appear only if your printer supports this feature.
  • You can also open printing preferences in Printers and Faxes by clicking a printer, and then clicking Select printing preferences under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • For information about setting the printing default for all users connected to the printer, click Related Topics.

Related Topics


Print multiple pages per sheet

To print multiple pages per sheet

To print multiple pages on one sheet of paper, your printer must support this feature, and you must have the Print permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. On the Layout tab, click the number of pages you want to print on a sheet in Pages Per Sheet.

    4. A representation of your selection will appear in the display area of the dialog box.

Notes

  • XOX
  • XOX
  • For information about setting the printing default for all users connected to the printer, click Related Topics.

Related Topics


Set the number of copies to print

To set the number of copies to print

To change printing preferences, you must have the Print permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. Click Advanced.
  4. Under Paper/Output, specify the Copy Count.

    5. If your printer supports collation, the pages will be collated by default when you print multiple copies.

Notes

  • XOX
  • You can also open printing preferences in Printers and Faxes by clicking a printer, and then clicking Select printing preferences under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • XOX
  • For information about setting the printing default for all users connected to the printer, click Related Topics.

Related Topics


Configure printer options

  • Set installable options for a printer
  • Set printer memory
  • Match a form to a printer tray
  • Ensure that complex pages print properly
  • Install or remove external PCL soft fonts
  • Make cartridge fonts available


Set installable options for a printer

To set installable options for a printer

  1. XOX
  2. Right-click the printer you want to set options for, and then click Properties.
  3. On the Device Settings tab, under Installable Options, click any option to set it.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • XOX
  • Only installable options supported by the specific printer will be shown in the Installable Options list.
  • Administrators need to set the installable options that actually exist for the specific printer. Users will only be able to see and choose from the installable options the administrator sets as available.

    • Examples of installable options include: printing on both sides of a page (duplex unit), envelope feeder, multiple bin mailbox trays, stapler, internal disk, and others.

Related Topics


Set printer memory

To set printer memory

To change the amount of printer memory in Windows, your printer must support the ability to change the amount of printer memory. Otherwise, the options described here will not appear in Windows. Also, you must have the Manage Printers permission, which is one of several printer permissions. XOX

  1. If you do not know already, find out how much memory is installed in your printer. Many printers - especially laser printers - have a self-test feature that will print a document containing the current memory configuration. For more information on how to determine your printer's memory amount, see your printer's operating manual.
  2. XOX
  3. XOX
  4. On the Device Settings tab, under Installable Options, click Printer Memory, and then click the number that matches the amount of memory installed in your printer or plotter.

Notes

  • XOX
  • Your printer has memory chips for storing information that is sent to it. When you install a printer, Windows reads the amount of printer memory so the printer and Windows work properly together. When you install additional memory into your printer, you need to change the printer memory setting in Windows so that the two match. If Windows is configured to require more or less memory than actually resides in your printer, Windows might display a message.

Related Topics


Match a form to a printer tray

To match a form to a printer tray

Many printers have upper and lower trays that contain different sizes of paper. Matching a form to a source ensures that documents always print on the correct paper size when the form is selected from within a program. To make these changes, you must have the Manage Printers permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. On the Device Settings tab, under Form To Tray Assignment, click a printer tray.
  4. Click one of the available paper sizes for the selected tray.
  5. Repeat steps 3 and 4 for each paper source.

Note

  • XOX

Related Topics


Ensure that complex pages print properly

To ensure that complex pages print properly

To change device settings, you must have the Manage Printers permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. On the Device Settings tab, click Page Protection, and then click On.

    4. When page protection is active, the printer creates the entire printed page in memory before starting to print. To use page protection, your printer must have at least 1 megabyte (MB) of optional memory available. If your printer does not support page protection, this option is not available.

Note

  • XOX

Related Topics


Install or remove external PCL soft fonts

To install or remove external PCL soft fonts

This procedure enables you to install PCL format fonts on Hewlett-Packard LaserJet, DeskJet, or compatible printers. External fonts can be PCL soft fonts or cartridge fonts. Refer to your font documentation to check the format of your fonts.

You must also have the Manage Printers permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. On the Device Settings tab, click External Fonts, and then click Properties.
  4. Do one of the following:
    • To install external PCL soft fonts, in New Soft Font Directory, type the path to the folder or drive where the fonts are located, and then click Open. Click the fonts you want to install in New Soft Fonts, and then click Add after each selection.
    • To remove external PCL soft fonts, in Installed Soft Fonts, click the fonts you want to remove, and then click Delete.

Notes

  • XOX
  • If you need to add or remove TrueType fonts, use the Fonts folder in Control Panel.
  • You can also open printer properties in Printers and Faxes by clicking a printer, and then clicking Set printer properties under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX

Related Topics


Make cartridge fonts available

To make cartridge fonts available

  1. Make sure that the cartridges are properly inserted into the cartridge slots on your printer.
  2. XOX
  3. XOX
  4. On the Device Settings tab, under Installed Font Cartridges, click the slot number in which the cartridge is installed.

    5. The Installed Font Cartridges options appear only if your printer supports this feature. To change this option, you must have the Manage Printers permission, which is one of several printer permissions.

Note

  • XOX

Related Topics


Use advanced options

  • Schedule alternate printing times
  • Set different print priority to different groups
  • Enable Postscript and PCL on the same printer
  • Keep a copy of everything you print
  • Set up a printer to print to multiple print devices
  • Add a color profile to a printer
  • Enable printer location tracking
  • Start and stop the print spooler
  • Run printing commands from the command prompt


Schedule alternate printing times

To schedule alternate printing times

  1. Open Printers and Faxes.
  2. Right-click the printer you want to set, and then click Properties.
  3. Click the Advanced tab, and then click Available from.
  4. To set the time period that the printer will be available, do one of the following:
    • Click the up or down arrows.
    • Or, type a start and end time, such as 6:00 PM To 6:00 AM.

Notes

  • XOX
  • By default, printers are set to be always available.
  • For more information on using different printing times for a printer, see Related Topics.

Related Topics


Set different print priority to different groups

To set different print priority to different groups

  1. Open Printers and Faxes.
  2. Right-click the printer you want to set, click Properties, and then click the Advanced tab.
  3. In Priority, click the up or down arrows
    4. , and then click OK.

    Or, type a priority level, where 1 is the lowest level and 99 is the highest, and then click OK.

  4. Click Add Printer to add a second logical printer for the same physical printer. For instructions, see Related Topics.
  5. Click the Advanced tab.
  6. In Priority, set a priority higher than that of the first logical printer.
  7. Instruct the regular group of users to use the first logical printer name and the group with higher priority to use the second logical printer name. Set the appropriate permissions for the different groups.

Notes

  • XOX
  • You gain no benefits just from setting a priority to a printer. You need to set at least two different logical printers for the same physical printer to take advantage of this option.

Related Topics


Enable Postscript and PCL on the same printer

To enable Postscript and PCL on the same printer

  1. Open Printers and Faxes.
  2. Double-click Add Printer, and then click Next. For instructions on how to add a printer, see Related Topics.
  3. When the Add Printer Wizard prompts you to select the printer manufacturer and model, from the Manufacturers list, click the correct name; from the printers list, click the appropriate model, with either Postscript (PS) or PCL.

    4. For example, for HP LaserJet 8100 Series, click HP LaserJet 8100 Series PS to set the printer with a Postscript driver.

    Follow the instructions on the screen to finish setting up the printer with the Add Printer Wizard.

  4. Double-click Add Printer again to add a second logical printer for the same physical printer. For instructions on how to add a printer, see Related Topics.
  5. When the Add Printer Wizard prompts you to select the printer manufacturer and model, select the same manufacturer name again. For model, from the Printers list, click the model for the other printer's language.

    6. For the same HP LaserJet 8100 Series as in the previous example, click HP LaserJet 8100 Series PCL 5e to set this logical printer with a PCL driver.

  6. Follow the instructions on the screen to finish setting up the printer.

Notes

  • XOX
  • Users with Postscript documents will send their documents to be printed to the Postscript logical printer (the first printer in the previous example); users with Printer Control Language (PCL) documents will use the PCL logical printer (the second printer in the previous example).
  • Use the same procedure to allow printing to any printer that supports multiple languages.

Related Topics


Keep a copy of everything you print

To keep a copy of everything you print

  1. Open Printers and Faxes.
  2. Right-click the printer you want to set, click Properties, and then click the Advanced tab.
  3. Select the Keep printed documents check box.
  4. If you have compatibility problems with your printing, clear the Enable advanced printing features check box.

Notes

  • XOX
  • If you keep printed documents in the spool, carefully monitor the spool folder and the available disk space.
  • To purge all printed documents from the spool, clear the Keep printed documents check box (default).


Set up a printer to print to multiple devices

To set up a printer to print to multiple devices

  1. Open Printers and Faxes.
  2. Right-click the printer you are using, and then click Properties.
  3. On the Ports tab, select the Enable printer pooling check box.
  4. Click each port where the printers you want to pool are connected.

Notes

  • XOX
  • With printer pooling, the printers must be the same type of printer using the same printer driver.
  • The previous procedure assumes the printers you want to pool are already in the Printers and Faxes folder.


Add a color profile to a printer

To add a color profile to a printer

  1. Open Printers and Faxes.
  2. Right-click the printer that you want to associate with a color profile, click Properties, and then click the Color Management tab.
  3. Click Add to open the Add Profile Association dialog box.
  4. Locate the new color profile you want to associate with the printer.
  5. Click the new profile, and then click Add.

Notes

  • XOX
  • Color profiles communicate the color characteristics of a device to the color management system. Associating the correct color profile with all of your publishing tools helps to ensure consistent color application throughout the publishing process.
  • The Color Management tab is only visible for color printers that support color management.
  • For more information about a profile in the Add Profile Association dialog box, right-click the profile, and then click Properties.
  • Color profiles are usually installed in the systemroot\System32\Spool\Drivers\Color folder.
  • Windows provides a color profile named sRGB Color Space Profile.icm, which you can use with any device that supports Image Color Management 2.0.

Related Topics


Enable printer location tracking

To enable printer location tracking

  1. Open Active Directory Sites and Services.
  2. Create the sites you want, if you haven't done so already. To create a site, see Related Topics.
  3. Associate a subnet for this newly created site, if you haven't done so already. To associate a subnet for the site, see Related Topics.
  4. Right-click each subnet you created, and then click Properties.
  5. Click the Location tab, enter the location of the subnet in the following format based on your location naming convention, and then click OK:

    location/location

  6. Using Group Policy, double-click the Pre-populate printer search location policy setting, and then click to enable it.

    The following example demonstrates how to set the policy to a group (organizational unit in Active Directory terms) of users that use that printer. However, you can set the policy to a different object using the appropriate Active Directory utility.

    • Start Group Policy from Active Directory Users and Computers. To apply Group Policy to a domain or organizational unit, see Related Topics.
    • Right-click the organizational unit you want to apply the policy to, and then click Properties.
    • Click the Group Policy tab, and then click New to create a new object. Type the name of the new object, and then click OK.
    • Select the newly created object and then click Edit.
    • Expand Computer Configuration, then Administrative Templates, and then Printers.
    • Double-click the policy setting Pre-populate printer search location, and then click to enable it. When you search the directory service for printers, it automatically fills in your location field using the value specified in the Location tab of the Subnet properties page. If this policy is disabled (default), the location will be empty.
  7. Open Printers and Faxes.
  8. Right-click the printer, and then click Properties.
  9. Type the printer location, or click Browse to find it. You probably want to be more precise in describing the printer location than the subnet location. For example, for the subnet location US/NYC, you might enter US/NYC/Floor42/Room4207.
  10. Repeat the last two steps for each printer in Active Directory.

Notes

  • XOX
  • XOX
  • To enable printer location tracking, you must have the following:
    • A working directory service with more than one site or more than one subnet.
    • A network IP addressing scheme that corresponds roughly to the physical layout of your enterprise.
    • Client computers that can query the directory service.
    • A subnet object for each site. You can create them using Active Directory Sites and Services.
    • Your own naming convention for printer location.
    • Administrative credentials.

Related Topics


Start and stop the print spooler

To start and stop the print spooler

  1. Open Computer Management.
  2. In the console tree, click Services.

    Where?

    • Computer Management
    • Services and Applications
    • Services
  3. In the details pane, double-click Print Spooler.
  4. Do one of the following depending on the task you want to do:

    Click Stop to stop the service.

    Click Start to start the service.

Notes

  • XOX
  • When you stop the Print Spooler service, it might stop other dependent services.
  • The print spooler runs under the Local Computer system account by default.
  • You can also start and stop the Print Spooler service through a command-prompt command. For more information, see Related Topics.

Related Topics


Run printing commands from the command prompt

To run printing commands from the command prompt

  1. Open Command Prompt.
  2. At the command prompt, you can run the following printing-related commands:

    3. To print a text file or display the contents of a print queue.

    For command syntax, see Print.

    Example:

    To print the text file Autoexec.bat to a printer on parallel port LPT2:

    print /d:LPT2: C:\autoexec.bat

    To display or control print jobs and printer queues.

    For command syntax, see Net print.

    Examples:

    To view the print queue of MyPrinter1 on print server W2KPRN1:

    net print \\W2KPRN1\MyPrinter1

    To delete print job number 2 on MyPrinter1 on print server W2KPRN1:

    net print \\W2KPRN1 2/delete

    To connect to, or disconnect from, a shared printer.

    For command syntax, see Net use.

    Examples:

    To redirect print output for the LPT1 port to MyPrinter1 on print server W2KPRN1:

    net use LPT1: \\W2KPRN1\MyPrinter1

    To display information about the LPT1 port:

    net use LPT1:

    To start the print spooler service.

    For command syntax, see Net start.

    Example:

    To start the Print Spooler service:

    net start spooler

    To stop the print spooler service.

    For command syntax, see Net stop.

    Example:

    To stop the Print Spooler service:

    net stop spooler

    Note that other dependent services might need to be stopped as well. The system prompts you to confirm, while listing the other service names.

Notes

  • XOX
  • Command-prompt commands can be useful if you need to connect users to shared printers through a login script or any other automated batch or a script procedure.


Manage printers

  • Remotely manage printers
  • Manage printers from a browser
  • Manually publish a printer in Active Directory
  • Set Group Policy for printers
  • Block the installation of kernel-mode printer drivers
  • Take ownership of a printer
  • Track printer usage
  • Monitor print queue performance
  • Search for printers


Remotely manage printers

To remotely manage printers

  1. Double-click My Network Places, and then locate the print server for the printers you want to manage.
  2. Double-click the print server, double-click the Printer folder icon on that server, and then click a printer.

    3. Important

    • To facilitate stronger network security, remote printer management is not available by default. To enable remote printer management, in Group Policy, you must enable the Allow Print Spooler to Accept Client Connections policy. For more information, see Related Topics.
  3. Change the print server, printer, or printing preference settings as required.

Notes

  • You can change printer settings only if you have Manage Printers permission.
  • If you are having trouble finding your printer and you are logged on to a Windows Server 2003 family domain, you can find your printer by clicking Start, pointing to Search, and then clicking Printers.
  • You can also drag the Printers and Faxes folder of any print server (or specific printers from any Printers and Faxes folder) to the Printers and Faxes folder on your computer. This is an easy way to manage any printer without having to search for it.

Related Topics


Manage printers from a browser

To manage printers from a browser

  1. From Internet Explorer, or any other browser, type the following URL:
    http://PrintServerName/printers/

    Or, type a specific printer URL:
    http://PrintServerName/PrinterName/

  2. In All Printers on PrintServerName, click the printer you want to manage.

    3. Important

    • To facilitate stronger network security, remote printer management is not available by default. To enable remote printer management, in Group Policy, you must enable the Allow Print Spooler to Accept Client Connections policy. For more information, see Related Topics.
  3. In PrinterName on PrintServerName, you can click any function on the left pane to stop, resume, or cancel a specific document or all documents. You can also click a specific document in the queue to see its properties.

Notes

  • An administrator can disable Internet printing with the Group Policy setting Disable Web-based Printing.
  • For Internet printing you must have Internet Information Service (IIS) installed on a computer running a Windows Server 2003 family operating system (this is installed by default) or Peer Web Services (PWS) on a computer running XOX.
  • You can also access the Web-based view from the Printers folder if Enabled Web view content in folder is selected (the folder has the Web-based view in the left pane). If you click any printer in the right pane, you can select Get More Info in the left pane to view the printer's content in Web-based view.

    In addition, you can use the left pane to jump to the Microsoft support Web site, and, if available, the printer's vendor support Web site.

  • You can manage any printer connected to a computer running a Windows Server 2003 family operating system from any other computer running a Windows Server 2003 family operating system, when Web-based printing is enabled. Web-based printing is enabled by default.

Related Topics


Manually publish a printer in Active Directory

To manually publish a printer in Active Directory

  1. Open Active Directory Users and Computers.
  2. In Name, right-click the container object folder in which you want to publish the printer.
  3. Point to New, and then click Printer.
  4. Type the UNC name of the printer that you want to publish in the directory.

Notes

  • XOX
  • XOX
  • Group Policy settings for printers determine whether printers published with a print server running Windows NT 4.0 or an earlier operating system should be pruned if the print server becomes unavailable.
  • You can also use the Pubprn.vbs script, provided in the System32 folder, to publish printers with print servers running Windows NT 4.0 or an older operating system.
  • The printer you want to publish must be shared.
  • You must have directory service administration rights to publish printers.
  • You must have the Manage Printers permission for the printer you want to share or to publish.
  • You can create printer names that contain spaces, special characters, and more than eight characters. However, some clients do not recognize or correctly handle such names. The entire qualified name of a shared printer (for example, \\PRINTER2\PSCRIPT) must contain 32 or fewer characters.

Related Topics


Set Group Policy for printers

To set Group Policy for printers

  1. Start Group Policy according to the object you want to set printer policy to. For more information on how to start Group Policy, see Related Topics.
  2. After selecting the properties page of the object you want to set printer policy to, select the Group Policy node.
    • If you want to set policies that apply only to computers, expand the Computer Configuration node, and then expand Administrative Templates.
    • If you want to set policies that apply only to users, expand the User Configuration node, expand Administrative Templates, and then expand Control Panel.
  3. Double-click Printers to open a listing of policies.
  4. Double-click the printer policy you want to set.
  5. On the Policy tab, enable or disable the policy by selecting or clearing the appropriate radio button. With some policies, you might need to enter additional information.

Note

  • If you do not want to change the current state of the policy setting, leave it as it is (not configured) to save processing time.

Related Topics


Block the installation of kernel-mode print drivers

To block the installation of kernel-mode printer drivers

  1. Open Group Policy.
  2. Under Local Computer Policy, double-click Computer Configuration.
  3. Double-click Administrative Templates, and then double-click Printers.
  4. Right-click Disallow installation of printers using kernel mode drivers, and then click Properties.
  5. On the Setting tab, click Enabled, and then click OK.

Important

  • This policy does not affect existing kernel-mode printer drivers. Kernel-mode printer drivers that were installed before you set this policy will not be disabled or removed. You can upgrade existing non-kernel-mode printer drivers whether you set this policy or not.

Notes

  • To open Group Policy so that you can edit the local Group Policy object, click Start, click Run, type gpedit.msc, and then press ENTER.
  • In XOX and XOX, installation of kernel-mode drivers is blocked by default. In XOX, installation of kernel-mode drivers is not blocked by default.
  • You must click Enabled to block the installation of kernel-mode printer drivers. Clicking Not Configured or Disabled allows kernel-mode printer drivers to be installed.

Related Topics


Take ownership of a printer

To take ownership of a printer

  1. Open Printers and Faxes.
  2. Right-click the printer icon, and then click Properties.
  3. Click the Security tab, and then click Advanced.
  4. Click the Owner tab, click your user account under Change owner to, and then click OK twice.

Notes

  • XOX
  • If you are a member of the Administrators group and you want this group to take ownership of the printer, click the Administrators group.
  • By default, the user who installed the printer owns it.
  • A user or a member of a group who has Manage Printers permission for the printer can take ownership.
  • By default, members of the Administrators, Print Operators, Server Operators, and Power Users groups have Manage Printers permission, which allows them to take ownership of a printer.


Track printer usage

To track printer usage

  1. Open Printers and Faxes.
  2. Right-click the printer you want to audit, and then click Properties.
  3. Click the Security tab, click the Advanced button, and then click the Auditing tab.
  4. Click Add, and then click the user or group whose printer access you want to audit.
  5. In the Access column, click successful and failed printing events you want to audit, and then click OK twice.

Notes

  • XOX
  • Successful means you want to audit all successful attempts to perform this action.
  • Failed means you want to audit all failed attempts to perform this action.
  • You can view the audit information in the security log file.


Monitor print queue performance

To monitor print queue performance

  1. Open Performance.
  2. Click the plus sign (+) on the Performance toolbar.
  3. From the Select counters from computer list box, click the print server computer.
  4. From the Performance object list box, click Print Queue.
  5. Click the counters you want to monitor.

Notes

  • XOX
  • To view a detailed explanation of a counter, select it, and then click Explain.
  • You can also add System Monitor to any new Microsoft Management Console (MMC).


Search for printers

  • Search for a printer
  • Filter your search results
  • Use advanced options to search for a printer
  • Add or remove columns in the search results list
  • Create a custom printer search


Create a custom printer search

To create a custom printer search

  1. Search for printers in Active Directory. For more information, see Related Topics.
  2. After the search results appear, you can refine the search as necessary by using any of the search options. In particular, the Advanced tab can be a powerful way to build custom printer queries.

    3. To change the appearance of search results to the way you want them to appear to users, click View.

  3. Click File, and then click Save Search. Select where you want the search to be saved, type a name for the search, and then click Save.

Notes

  • As administrator, you can save search results into users profiles, which allow you to distribute the search results file to users' Printers and Faxes folders, desktops, or any other location on users' computers.
  • You and your users can further narrow search results by using the Filter option on the View menu, which is available only when you click Details. However, filtering criteria are not saved by Save Search.
  • Users can use the saved search file by double-clicking the file name. The saved search runs in the background, and only the result of the saved search appears.

Related Topics


Manage and set print servers

  • Add printer drivers for other clients
  • Update printer drivers
  • Remove printer drivers
  • List all files on a printer driver
  • Change the spool folder location
  • Enable or disable logging of printing events
  • Enable or disable notifying users when printing completes
  • Create a custom printer form
  • Set ports and protocols


Add printer drivers for other clients

To add printer drivers for other clients

  1. Open Printers and Faxes.
  2. On the File menu, click Server Properties, and then click the Drivers tab.
  3. Click Add, click Next, and then follow the instructions on the Add Printer Driver Wizard.
  4. After selecting the printer's manufacturer and model, you are prompted to select the environment and operating systems for which you want to install drivers.

Notes

  • XOX
  • You can add printer drivers for other platforms (such as Alpha-based or x86-based), or for other operating systems, using the Sharing tab on each printer's properties page. If you need to add additional drivers for multiple printers, it might be easier to use the Drivers tab on the properties page of the print server.

Related Topics


Update printer drivers

To update printer drivers

  1. Open Printers and Faxes.
  2. On the File menu, click Server Properties, and then click the Drivers tab.
  3. In the Installed printer drivers list, click the driver you want to update, and then click Replace.
  4. Click Yes. The driver files are copied for all the installed environments and versions. The system might prompt you for the path to the drivers.

Note

  • XOX

Related Topics


Remove printer drivers

To remove printer drivers

  1. Open Printers and Faxes.
  2. On the File menu, click Server Properties, and then click the Drivers tab.
  3. In the Installed printer drivers list, click the driver you want to remove, click Remove, and then click Yes to confirm.

Note

  • XOX

Related Topics


List all files on a printer driver

To list all files on a printer driver

  1. Open Printers and Faxes.
  2. On the File menu, click Server Properties, and then click the Drivers tab.
  3. In the Installed printer drivers list, click the driver you want, and then click Properties.

    The names and descriptions of all the files that are part of the specific driver are listed.

Notes

  • XOX
  • You can view details on any of the files by clicking the file and then clicking Properties.

Related Topics


Change the spool folder location

To change the spool folder location

  1. Open Printers and Faxes.
  2. On the File menu, click Server Properties, and then click the Advanced tab.
  3. In the Spool folder window, enter the path and the name of the new default spool folder for this print server, and then click Apply or OK.
  4. Stop and restart the spooler service, or reboot the server.

Notes

  • XOX
  • If the server functions as the print server for a large number of printers or for print jobs that are typically very long, you should consider moving the spool folder to another location.
  • The spool folder might require a large amount of disk space to spool all the jobs.
  • The spool folder should not be located at the root directory (generally C:\).
  • If the new folder does not exist, this procedure creates it.

Related Topics


Enable or disable logging of printing events

To enable or disable logging of printing events

  1. Open Printers and Faxes.
  2. On the File menu, click Server Properties, and then click the Advanced tab.
  3. To enable or disable writing spooler error events to the system log file, select or clear the Log spooler error events check box.
  4. To enable or disable writing spooler warning events to the system log file, select or clear the Log spooler warning events check box.
  5. To enable or disable writing spooler information events to the system log file, select or clear the Log spooler information events check box.
  6. Stop and restart the spooler service, or reboot the server.

Notes

  • XOX
  • By default, all printing events are written to the system log file. If you want to reduce the amount of data that is logged, disable the logging of information events. If you want to further reduce the amount, disable the warning events. Disabling the logging of spooler error events is not recommended.


Enable or disable notifying users when printing completes

To enable or disable notifying users when printing completes

  1. Open Printers and Faxes.
  2. Click File, click Server Properties, and then click the Advanced tab.
  3. To enable or disable notifying users when their print jobs finish printing, select or clear the Notify when remote documents are printed check box.
  4. Stop and restart the spooler service, or reboot the server.

Notes

  • XOX
  • When the Group Policy setting Notify Computer, not User is enabled, the computer that originated the print job is notified, even if the user who submitted the print job has logged off and another user has logged on.


Create a custom printer form

To create a custom printer form

  1. Open Printers and Faxes.
  2. On the File menu, click Server Properties.
  3. On the Forms tab, select the Create a new form check box.
  4. In Form name, type a name for the new form.
  5. Under Form description (measurements), type the dimensions you want for the new form.

Notes

  • XOX
  • Printer forms define a paper size and type used by a print device. Forms are provided for all standard paper sizes. You can define a custom paper form for nonstandard paper sizes.


Set ports and protocols

  • Add a port
  • Delete a port
  • Add a local port
  • Add a standard TCP/IP port
  • Add an LPR port
  • Add an AppleTalk printing device port


Add a port

To add a port

  1. XOX
  2. On the File menu, click Server Properties.
  3. Click the Ports tab, and then click Add Port.
  4. In the Available port types list, click a port name to select it. By default, only Local Port and Standard TCP/IP Port appear in the Available port types list.

    5. If you want to add a Line Printer Remote (LPR) port, you need to install the optional networking component, Print Services for Unix. Once you do so, LPR Port will display as one of the available port types. XOX

    To add other port types, click New Port Type, type the path to the compact disc containing the necessary files, and click OK.

  5. After clicking the port type in the Printer Ports dialog box, click New Port.
  6. Type a name that describes this port, and then click OK.
  7. On the Printer Ports dialog box, click Close.
  8. If necessary, configure the port by clicking Configure Port. Different types of ports have different characteristics that you can configure. After you have finished configuring the port, click OK.
  9. Click Close to close the Print Server Properties dialog box.

Notes

  • XOX
  • For a list of ports you can add, and information about adding them, click Related Topics.
  • If you add a port using the Add Printer Wizard, the port you add will appear in the list.

Related Topics


Delete a port

To delete a port

For this procedure, you must have the Manage Printers permission, which is one of several printer permissions.

  1. XOX
  2. On the File menu, click Server Properties, and then click the Ports tab.
  3. In the list of ports, click the port you want to delete, and then click Delete Port.
  4. Click Yes to confirm.

Notes

  • XOX
  • If you are unable to delete the port and you know that you have printer permissions to do so, it may be that one or more of your printers is set up to print to that port. Reassign the printer or printers to another port, and then try to delete the port again. Deleting a port removes it from the available port list. Any printer that communicates through that port is disconnected.

Related Topics


Add a local port

To add a local port

  1. XOX
  2. Double-click Add Printer to open the Add Printer Wizard, and then click Next.
  3. Click Local printer attached to this computer, clear the Automatically detect and install my Plug and Play printer check box, and then click Next.
  4. Click Create a new port, click Local Port, and then click Next.
  5. Type the port name, and then click OK.
  6. Follow the instructions on the screen to finish adding a printer with the Add Printer Wizard.

Notes

  • XOX
  • You can also add ports using the Print Server Properties dialog box.
  • You can configure the time-out for parallel (LPT) ports by selecting any LPT port and then clicking Configure Port.
  • In a network environment, it is better to use a printer that is connected directly to the network through a network adapter than through a parallel port.

Related Topics


Add a standard TCP/IP port

To add a standard TCP/IP port

  1. XOX
  2. Double-click Add Printer to open the Add Printer Wizard, and then click Next.
  3. Click Local printer attached to this computer, clear the Automatically detect and install my Plug and Play printer check box, and then click Next.
  4. Click Create a new port, and then click Standard TCP/IP Port.
  5. Click Next to run the Add Standard TCP/IP Printer Port Wizard.
  6. Follow the instructions on the screen to finish installing the TCP/IP printer.

Notes

  • XOX
  • Most network printers support the TCP/IP protocol. The standard TCP/IP port simplifies connecting to remote printers using the TCP/IP protocol. A computer that acts as a print server must run the TCP/IP protocol in order to print.
  • To connect to a print server running NetWare, you need to install Client Services for NetWare.
  • You can also add ports using the Print Server Properties dialog box. XOX
  • For print servers that need to communicate with host computers (such as UNIX or VAX computers), it is best to install an LPR port. XOX

Related Topics


Add an LPR port

To add an LPR port

  1. XOX
  2. Double-click Add Printer to open the Add Printer Wizard, and then click Next.
  3. Click Local printer attached to this computer, clear the Automatically detect and install my Plug and Play printer check box, and then click Next.
  4. Click Create a new port, and then click LPR Port.

    5. If LPR Port is not available, click Cancel to stop the wizard. To add the LPR port, you need to install the optional networking component, Print Services for Unix. XOX

  5. Click Next, and then provide the following information:
    • In Name or address of server providing LPD, type the Domain Name System (DNS) name or Internet Protocol (IP) address of the host for the printer you are adding. The host may be the direct-connect TCP/IP printing device or the UNIX computer to which the printing device is connected. The DNS name can be the name specified for the host in the Hosts file.
    • In Name of printer or print queue on that server, type the name of the printer as it is identified by the host, which is either the direct-connect printer itself or the UNIX computer.
  6. Follow the instructions on the screen to finish installing the TCP/IP printer.

Notes

  • XOX
  • The Line Printer Remote (LPR) port is best suited to servers that need to communicate with host computers (such as UNIX or VAX computers) by way of RFC 1179.
  • A network-connected printer must have a card that supports LPD for LPR printing to work properly.
  • You can also add ports using the Print Server Properties dialog box. XOX

Related Topics


Add an AppleTalk printing device port

To add an AppleTalk printing device port

  1. Open Printers and Faxes.
  2. Double-click Add Printer, and then click Next.
  3. Click Local printer attached to this computer, clear the Automatically detect and install my Plug and Play printer check box, and then click Next.
  4. Click Create a new port, click AppleTalk Printing Devices, and then click Next.
  5. In the AppleTalk Printing Devices list, click the AppleTalk printer you want to add, and then click OK.
  6. Click Yes to capture this AppleTalk printer.

    7. Important

    • If you capture a printer, some users may be unable to print to it.
  7. Follow the instructions on the screen to finish installing the AppleTalk printer.

Notes

  • XOX
  • You can also add ports on the Ports tab in the Print Server Properties dialog box. To open the Print Server Properties dialog box, click Start, point to Settings, and then click Printers and Faxes. On the File menu, click Server Properties.
  • AppleTalk Printing Devices is available only when AppleTalk protocol is installed. If AppleTalk Printing Devices is not available, click Cancel to close the Add Printer Wizard and follow the procedures to add optional networking components (see Related Topics).
  • Your system must use the AppleTalk protocol if you want to add an AppleTalk printing device. You might need other Macintosh services if you want to coexist with an AppleTalk network system. For more information, see Related Topics.
  • XOX

Related Topics


Connect clients to a printer

  • Connect to a printer published in Active Directory
  • Connect to a printer on a network
  • Connect to a printer with a browser
  • Connect Windows NT 4.0, Windows 95, and Windows 98 clients
  • Connect MS-DOS, Windows 3.x, and OS/2 clients
  • Connect Macintosh clients to a printer
  • Print from an LPR client to a printer
  • Connect to a printer on a NetWare server
  • Connect to a printer on a Macintosh server


Connect to a printer published in Active Directory

To connect to a printer published in Active Directory

  1. Find the printer you want to connect to. For instructions on how to search for a printer, see Related Topics.
  2. In the details pane, right-click the printer you want to use, and then click Connect, or double-click the printer name from the list.

Notes

  • You can search for printers in Active Directory only if you are logged on to a Windows Server 2003 family or Windows 2000 domain, and your client is running XOX, Windows 2000, Windows 95, or Windows 98.
  • Windows 95 and Windows 98 clients must run the directory service to query Active Directory.
  • Windows NT 4.0 clients can connect to a shared printer on a print server by browsing My Network Places, or by using the Add Printer Wizard.

Related Topics


Connect to a printer on a network

To connect to a printer on a network

  1. XOX
  2. Double-click Add Printer to start the Add Printer Wizard, and then click Next.
  3. Click A network printer, or a printer attached to another computer, and then click Next.
  4. Connect to the desired printer using one of the following three methods. Click a method for instructions.
    • Searching for it in the Active Directory

      • If you are not logged on to a domain running Active Directory, this method will not be available.

      1. Click Find a printer in the Directory, and then click Next.
      2. If needed, change the default printer location listed in the Location field by clicking the Location Browse button, and then choosing the appropriate location.
      3. Click Find Now.
      4. In the list that appears, click the printer you want to connect to, and then click OK.
    • Typing the printer name or browsing for it
      1. Click Connect to this printer, or click Next to browse for a printer.
      2. Do one of the following:
        • Type the printer name using the following format, and then click Next:

          • \\printserver_name\share_name

        • Browse for it on the network by clicking Next, locating the printer in Shared printers, and then clicking Next.
    • Connecting to an Internet or intranet printer

      • Connecting to a printer using its URL allows you to connect to printers across the Internet, provided you have permission to use that printer. If you cannot connect to your printer using the general URL format above, please see your printer's documentation or contact your network administrator.

      1. Click Connect to a printer on the Internet or on a home or office network.
      2. Type the URL to the printer using the following format, and then click Next:

        3. http://printserver_name/Printers/share_name/.printer

  5. Follow the instructions on the screen to finish connecting to the printer.

    6. The icon for the printer appears in your Printers and Faxes folder.

Notes

  • XOX
  • You can also connect to a printer by dragging the printer from the Printers and Faxes folder on the print server and dropping it into your Printers and Faxes folder, or by right-clicking the icon and then clicking Connect.
  • After you have connected to a shared printer on the network, you can use it as if it were attached to your computer.

Related Topics


Connect to a printer with a browser

To connect to a printer with a browser

  1. Open Internet Explorer, or open Printers and Faxes.
  2. In the Address bar, type one of the following:
    • If you do not know the printer name, type the following, using the format: http://PrintServerName/printers/

      • For example, type http://PrintSrv1/printers to receive a page listing all the printers, and then click the printer you want.

    • If you know the printer name, type its URL using the format: http://PrintServerName/PrinterName/

      • For example, type http://PrintSrv1/ColorPrinter5/ to go directly to that printer's page.

  3. When viewing the printer's page, click Connect to connect to that printer.

Notes

  • XOX
  • A server running a Windows Server 2003 family operating system automatically copies the appropriate printer driver to the client computer.
  • The administrator can disable Internet printing using the Group Policy setting Disable Web-based Printing for printers.
  • For Internet printing, you must have Internet Information Service (IIS) installed on the server (or Peer Web Services (PWS) on a computer running XOX.
  • You must use Internet Explorer version 4.0 or higher to connect to a printer.
  • After you connect to a shared printer from a Web browser, you can use it as if it were attached to your computer. You can also add it to your browser Favorites.

Related Topics


Connect Windows NT 4.0, Windows 95, and Windows 98 clients

To connect Windows NT 4.0, Windows 95, and Windows 98 clients

  1. Open Printers and Faxes.
  2. Double-click Add Printer, and then click Next.
  3. Click A network printer, or a printer attached to another computer, and then click Next.
  4. Click the printer in Connect to this printer.

    5. Or, in Name, type the name of a printer on your network using the following format:

    \\server_name\share_name

  5. Follow the instructions on the screen to finish connecting to the printer.

Notes

  • XOX
  • After you complete these procedures, the printer driver downloads automatically, and the icon for that printer appears in your Printers and Faxes folder.
  • To connect a printer to a Windows NT 4.0, Windows 95, or Windows 98 client, you must install the print drivers for these clients on the print server. During connection, the print driver downloads to the client without the need for the original compact disc or discs.
  • To install additional printer driver for previous Windows NT clients and for Windows 95 and Windows 98 clients, see Related Topics.
  • If directory services is not installed, double-click My Network Places to locate the print server and the printer you want to connect to. Then, right-click the printer and select Install.
  • If directory services is installed (directory service clients are available for Windows 95 and Windows 98 only), you can use Active Directory to find the printer you want to connect to. Right-click the printer's name, and then click Connect.
  • For Windows NT 4.0 clients, the print driver is automatically downloaded if it does not exist. If it already exists, it is updated on the print server. For Windows 95 and Windows 98 clients, the print driver is downloaded automatically only the first time (if it does not exist). When an updated driver is installed on the print server, the printer driver must be updated manually from the print server.

Related Topics


Connect MS-DOS, Windows 3.x, and OS/2 clients

To connect MS-DOS, Windows 3.x, and OS/2 clients

  1. Install the appropriate printer driver on the client computer.
  2. Redirect an output port (such as LPT1) of the client computer to the logical printer (in the form of \\PrintServerName\sharename) on the Windows Server 2003 family print server, using the command specific to its operating system.

    3. Typically, the command for clients that add the Clients for Microsoft Networks option is:
    net use lpt x\\server_name\share_name

Notes

  • Other Microsoft clients include Windows 3.x, Windows for Workgroups, MS-DOS, and OS/2 with the LAN Manager 2.x client installed.
  • If the client is not connected to the network, install the network client on the client computer first, and then verify active connection to the network.
  • Fonts and forms available on a Windows Server 2003 family operating system might not be available on client computers running other operating systems.


Connect Macintosh clients to a printer

To connect Macintosh clients to a printer

  1. Verify that the print server is running the AppleTalk protocol, and Print Server for Macintosh.
  2. Set up a user account for Macintosh print jobs. For more information, see Related Topics.
  3. From a Macintosh client computer, connect to the printer using Macintosh Chooser.

Notes

  • Macintosh clients can connect to any printer on the Windows Server 2003 family network that runs the AppleTalk protocol.
  • Install the printer driver for Macintosh on each client that you want to connect to the printer.
  • Macintosh clients can search for printers on print server computers running a Windows Server 2003 family operating system by browsing for all printer addresses using Macintosh Chooser. Macintosh users do not have access to Active Directory.
  • If your Macintosh uses a protocol other than AppleTalk, such as TCP/IP, verify that both the clients and the print server run that protocol.
  • Because AppleTalk does not support client user names or passwords, Macintosh clients cannot identify themselves on a Windows Server 2003 family network, and the print server cannot impose user-level security on them. If a Macintosh client is physically able to send a job to the printer, it has implicit permission. However, an administrator can set user-level permission for all Macintosh print clients as a group.
  • XOX

Related Topics


Print from an LPR client to a printer

To print from an LPR client to a printer

  1. Install the appropriate printer driver on the client.
  2. Install Print Services for Unix on the Windows Server 2003 family print server, and then start the Line Printer Daemon (LPD) service (if not started automatically) from Services.
  3. Use the Line Printer Remote (LPR) utility on your client to connect to the logical printer on the print server. Refer to your client operating system documentation for the correct command. Typically the LPR command is in the following format:

    4. lpr -S server_name -P queue_name file_name

Notes

  • Both client and server must run TCP/IP, and the client must have an RFC-compliant version of LPR.
  • Some hosts do not support LPR. Refer to your operating system documentation to make sure your host does support LPR.
  • If documents sent by LPR services on a UNIX client do not print correctly on the print server, try reconfiguring the LPR software to use a lowercase control command.
  • The Lpdsvc service is independent of the Lprmon, which allows a computer running a Windows Server 2003 family operating system (and all clients who can access this computer) to print to a printer connected to a UNIX system.
  • If you send a document from a XOX client to another LPD–enabled target (for example, a UNIX host), the XOX client must run Print Services for Unix.


Connect to a printer on a NetWare server

To connect to a printer on a NetWare server

  1. Open Printers and Faxes.
  2. Double-click Add Printer, and then click Next.
  3. Click A network printer, or a printer attached to another computer, and then click Next.
  4. Click Connect to this printer.
  5. In Name, type the name of a printer in the following format:

    6. \\servername\sharename

    Or, to find the NetWare printer in Shared printers, click Next.

  6. Follow the remaining instructions in the Add Printer Wizard to finish connecting to the NetWare printer.

    7. The icon for that printer appears in your Printers and Faxes folder.

Notes

  • XOX
  • To connect to a printer on a NetWare server, you must have Client Service for NetWare and NWLink IPX/SPX/NetBIOS Compatible Transport Protocol (NWLink) installed. For information on how to do this, see Related Topics.
  • XOX
  • If a printer driver is not available locally for a NetWare printer, you are prompted to install one.

Related Topics


Connect to a printer on a Macintosh server

To connect to a printer on a Macintosh server

  1. Open Printers and Faxes.
  2. Double-click Add Printer to start the Add Printer Wizard, and then click Next.
  3. Click Local printer attached to this computer, and then click Next.
  4. Follow the instructions on the screen to finish setting up the printer by selecting a printer port, selecting the manufacturer and model of your printer, and typing a name for your printer.

    When the wizard prompts you to select the printer port, click Create a new port. From the drop-down list, click AppleTalk Printing Device, and then click Next.

    When you're prompted for available AppleTalk printing devices, select a zone and a printer, and then click OK.

    When you're asked whether you want to capture the printer, you normally click Yes; see the notes following this procedure.

Notes

  • XOX
  • Capturing the printer is the recommended procedure, because a captured printer accepts print jobs only from print server computers running a Windows Server 2003 family operating system. This provides the administrator complete control over the printer. However, if the printer is also being used by a Macintosh server, you cannot capture the printer.
  • Because AppleTalk does not support client user names or passwords, Macintosh clients cannot identify themselves on a Windows Server 2003 family network, and the print server cannot impose user-level security on them. If a Macintosh client is physically able to send a job to the printer, it has implicit permission. However, an administrator can set user-level permission for all Macintosh print clients as a group.
  • XOX

Related Topics


Manage documents

  • Print a document
  • View documents waiting to print
  • Change the printing priority of documents waiting to print
  • Cancel printing a document
  • Pause and resume printing a document
  • Restart printing a document
  • Transfer documents to another printer
  • Pause or resume printing all documents
  • Cancel printing all documents


Print a document

To print a document

  1. Open the document you want to print.
  2. On the File menu of the program you are using, click Print.

Notes

  • In the Print dialog box, you can see the number of documents waiting to print on any printer installed on your computer by right-clicking the printer in Select Printer and then clicking Open.
  • If you are logged on to a domain running Active Directory, you can click Find Printer to search for a printer on the network with the capabilities you want, such as high-speed or color printing. For more information on searching for a printer, see Related Topics.
  • To store a document as a file rather than sending it to the printer, click the Print to file check box in the Print dialog box.
  • For easy access to your printer, you can create a shortcut to it on the desktop. You can double-click the shortcut to open the print queue and view the documents waiting to print. For more information on how to create a shortcut, see Related Topics.
  • You can print a document without opening it by dragging its icon to a printer in the Printers and Faxes folder or to a shortcut on your desktop.
  • While a document is printing, a printer icon appears next to the clock in the notification area on the taskbar. When this icon disappears, it means that your document has finished printing.

Related Topics


View documents waiting to print

To view documents waiting to print

  1. XOX
  2. Double-click the printer for which you want to view the documents waiting to print.

Notes

  • XOX
  • The print queue displays information about a document such as print status, owner, and number of pages to be printed. From the print queue, you can cancel or pause printing for any document you send to the printer.
  • You can also open the print queue by double-clicking the printer icon in the notification area.
  • Another way to open the print queue is to click the printer in Printers and Faxes, and then click See what's printing under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX

Related Topics


Change the printing priority of documents waiting to print

To change the printing priority of documents waiting to print

You can change the printing priority of documents waiting to print only if you have the Manage Documents permission, which is one of several printer permissions. Once a document has started printing, any printing priority changes you make will not affect that document. XOX

  1. XOX
  2. XOX
  3. Right-click the document you want to move in the print order, and then click Properties.
  4. On the General tab, drag the Priority slider to raise or lower the document priority. The higher the number, the higher the priority.

    5. When you click OK, the documents will print in the order you want even though your changes may not be reflected in the list of documents.

Notes

  • XOX
  • You can also open the print queue in Printers and Faxes by clicking a printer, and then clicking See what's printing under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX

Related Topics


Cancel printing a document

To cancel printing a document

XOX

  1. XOX
  2. XOX
  3. Right-click the document you want to stop printing, and then click Cancel.

Notes

  • XOX
  • You can also open the print queue in Printers and Faxes by clicking a printer, and then clicking See what's printing under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • You can cancel the printing of more than one document by holding down the CTRL key and then clicking each document you want to cancel. Once all the documents are selected, right click one of them and click Cancel.
  • You can also open the print queue by right-clicking the printer icon in the notification area.
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Pause or resume printing a document

To pause or resume printing a document

XOX

  1. XOX
  2. XOX
  3. Right-click the document for which you want to pause or resume printing.
  4. Do one of the following:
    • To pause printing, click Pause.

      • The document will not print until you resume printing.

    • To resume printing, click Resume.

      • The document will begin printing. However, if higher priority documents are waiting to print, they will print first.

Notes

  • XOX
  • You can also open the print queue in Printers and Faxes by clicking a printer, and then clicking See what's printing under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • In general, once a document has started printing, it will finish printing even if you pause it.
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Restart printing a document

To restart printing a document

When you restart printing a document, it starts printing again from the beginning. If higher priority documents are in the print queue, they will print first.

XOX

  1. XOX
  2. XOX
  3. Right-click the document for which you want to restart printing, and then click Restart.

Notes

  • XOX
  • You can also open the print queue in Printers and Faxes by clicking a printer, and then clicking See what's printing under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX

Related Topics


Transfer documents to another printer

To transfer documents to another printer

Use this procedure to send your documents to an alternate printer when your printer has failed and your documents are stuck in the print queue. To redirect documents to another printer, you must have the Manage Printers permission for both printers, which is one of several printer permissions. XOX

Since the documents you send to the printer are converted into that printer's language, you must redirect the documents to the same type of printer, such as a laser, ink-jet, or dot-matrix.

  1. XOX
  2. Double-click the printer that holds the document(s) you want to redirect.
  3. On the Printer menu, click Properties.
  4. Click the Ports tab, and then do one of the following:

    5. To send documents to another printer on the same print server

    Click the port to which the other printer is assigned and then click OK.

    To send documents to a printer on a different print server

    The printer must already exist and be shared on the print server.

    Click Add Port, click Local Port, and then click New Port. Type the name of the other print server and the share name of the shared printer in the following format:

    \\other_print_server\share_name

Notes

  • XOX
  • You can also open printer properties in Printers and Faxes by clicking a printer, and then clicking Set printer properties under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • The document currently printing cannot be transferred to another printer.
  • If the printer holding the print jobs is offline or has a paper jam, the document showing the error cannot be moved to a new port.
  • If a print job shows an error, all subsequent print jobs will be held until the document is deleted from the print queue.
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Pause or resume printing all documents

To pause or resume printing all documents

To pause, or resume printing on the printer, you must have the Manage Printers permission, which is one of several printer permissions.

  1. XOX
  2. Right-click the printer for which you want to pause or resume printing, and then click Pause Printing.

    3. When you pause printing, the document currently printing will finish, and then no documents will print until you resume printing.

    A check mark appears next to Pause Printing when the printer is paused. To clear the check mark and resume printing, click Pause Printing again.

Notes

  • XOX
  • You can also open the print queue in Printers and Faxes by clicking a printer, and then clicking See what's printing under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Cancel printing all documents

To cancel printing all documents

To cancel, pause, or resume printing on the printer, you must have the Manage Printers permission, which is one of several printer permissions. XOX

  1. XOX
  2. Right-click the printer for which you want to cancel printing, and then click Cancel All Documents.
  3. When prompted to cancel all documents, click Yes.

    4. In some cases, the document currently printing will finish, and then all other documents are cancelled.

Notes

  • XOX
  • You can also open the print queue in Printers and Faxes by clicking a printer, and then clicking See what's printing under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • For more information on administering printers from the command line, see Related Topics.

Related Topics


Concepts

This section provides general background information about planning, implementing, and operating printers and print servers.

  • Printing overview
  • Understanding printing
  • Using printing
  • Resources


Printing overview

Using products in the Microsoft® Windows® Server 2003 family, you can share printing resources across your entire network. Clients on a variety of computers and operating systems can send print jobs to printers attached locally to a print server computer running a Windows Server 2003 family operating system, across the Internet, or to printers connected to the network using internal or external network adapters, or another server.

Products in the Windows Server 2003 family support several advanced printing features. For example, you can administer a print server computer running a Windows Server 2003 family operating system that exists anywhere on your network. Another advanced feature is that you do not have to install a printer driver on a XOX client computer to enable it to use a printer. The driver is downloaded automatically when the client connects to a print server computer running a Windows Server 2003 family operating system.

Although you can, of course, print locally from a server running a product in the Windows Server 2003 family or a computer running XOX to a locally attached printer, this Help is primarily concerned with printing across the network with a computer running a Windows Server 2003 family product functioning as a print server.

You should make sure to distinguish between a printer (the device that does the actual printing) and a logical printer (its software interface on the print server). When you initiate a print job, it is spooled on the logical printer, which is also called a printer, before it is sent to the printer itself.

See New features for a list of Windows Server 2003 family printing enhancements.


New features

Printing setup

For the administrator, products in the Windows Server 2003 family provide improved setup tools for common network configurations. For example, the new standard port (described later in this topic), simplifies installation of most TCP/IP printers on your network.

Installing printer drivers on all nodes in a cluster

Previously, you had to manually install printer drivers on every node of a cluster. Using products in the Windows Server 2003 family, this is no longer necessary. You can now install printer drivers on one node and the drivers are automatically propagated to the other nodes. The procedure for adding a printer driver to a cluster is the same as the procedure for adding printer drivers to any other computer. For more information on adding printer drivers, see To install new or updated printer drivers.

Printing administration

The Windows Server 2003 family operating systems provide improved remote administration by adding remote port administration. You can now perform a full remote administration and configuration (including remote port administration) of printers from any computer running a Windows Server 2003 family operating system.

Printers folder

The Printers folder has been renamed to Printers and Faxes for all Windows Server 2003 family and XOX products. All fax-related tasks are available through this folder.

Internet printing

The Windows Server 2003 family printing architecture is now seamlessly integrated with the Internet. For the end user, the Windows Server 2003 family offers printing across the Internet.

  • You can print from XOX clients to print server computers running a Windows Server 2003 family operating system by using a Uniform Resource Locator (URL).
  • You can use a browser to manage printers. You can pause, resume, or delete a print job, and view the printer and print job's status.
  • You can connect to printers on your network using Web point-and-print for single-click installation of a shared printer. You can click the shared printer to install the required printer driver on your local computer. To facilitate stronger network security, Web point-and-print is not enabled on the print server by default because it is possible to include malicious code in a printer driver. To enable Web point-and-print functionality, in Group Policy, you must enable the Point-and-Print Restrictions policy. For more information, see To set Group Policy for printers

Directory services

By default, a Windows Server 2003 family server makes all shared printers in the domain available as objects in Active Directory. When you list, or publish, shared printers in the directory, you can use search tools to quickly locate the most convenient printing resources. For example, you can search by feature (such as color printing) or by location (such as a specific floor in a building).

Standard port monitor

The new standard port monitor connects a print server computer running a Windows Server 2003 family operating system to network-interface printers that use the TCP/IP protocol. It replaces LPRMON for TCP/IP printers connected directly to the network or through a network adapter. The new standard port 50 is faster than LPRMON for many print jobs. LPRMON is still required for a printer connected to a UNIX or VAX host.

Print queue monitoring

You can monitor the performance of a local or a remote printer using the System Monitor's new Print Queue object. Counters can be set up for a variety of performance criteria such as bytes printed per second, job errors, and total pages printed.

User settings

The ability to change personal document default settings has now been extended to XOX clients and products in the Windows Server 2003 family. Previously, only Windows 95 and Windows 98 users could modify their document settings after they were initially set by an administrator.

Printing from an application

When printing from an application, the standard print dialog box has been enhanced and improved. You can now search for printers in Active Directory, or even add printers.

Kernel-mode printer driver blocking

Using a Windows Server 2003 family product, administrators can block the installation of kernel-mode printer drivers by using Group Policy. For more information on how to block kernel-mode printer driver installation, see To block the installation of kernel-mode printer drivers.

Automate printing administration using scripts

Windows Management Instrumentation (WMI) is the management API created by Microsoft to allow all system components to be monitored and controlled, either locally or remotely. The WMI Print Provider allows you to manage print servers, print devices, and other printing-related objects from the command line. With WMI Print Provider, you can use Visual Basic (VB) scripts to perform administrative printer functions. You can create your own scripts or modify one of the VB scripts that are provided with a Windows Server 2003 family product. Either way, you can manage local and remote printers using these scripts.


Understanding printing

As a system administrator responsible for a Windows Server 2003 family printing environment, you need to understand the printing process and the options available for print servers and clients to communicate within computers running Windows, with computers running other operating systems, and across the Internet.

This section covers:

  • The printing process
  • Internet printing
  • Printing and print servers
  • Printer drivers overview
  • Printer fonts overview
  • Print processors and data types
  • Choosing and configuring a port
  • Installing printers with Plug and Play
  • Find printers overview
  • Printer properties overview
  • Assigning printer permissions
  • Enabling printer location tracking
  • Group Policy and printing


The printing process

The following is an overview of the operations performed on a document submitted to a printer from a XOX client. The printer is attached to a computer running a Windows Server 2003 family operating system. (Some processes are slightly different for non-Windows brand operating system print clients.)

Printing process overview
  1. A user on a XOX client computer chooses to print a document.
  2. If the document is submitted from a Windows application, the application calls the graphics device interface (GDI), which calls the printer driver associated with the target printer. Using the document information from the application, the GDI and the driver exchange data to render the print job in the printer language of the printer, and then pass it to the client-side print spooler. If the client is using an operating system other than Windows, or a non-Windows application, another component replaces the GDI to perform a similar task.
  3. The client computer delivers the print job to the print server. For XOX, Windows 2000, or Windows NT 4.0 clients, the client-side spooler makes a remote procedure call (RPC) to the server side of the spooler, which uses the print router to poll the remote print provider on the client side. The remote print provider initiates another RPC to the server spooler, which receives the print job over the network.
  4. On the print server, print jobs from XOX, Windows 2000, or Windows NT 4.0 clients are of the enhanced metafiles (EMF) data type. Many other applications use the RAW (ready to print) data type.
  5. The router on the server passes the print job to the local print provider on the server (component of the spooler), which spools the print job (writes it to the disk).
  6. The local print provider polls the print processor. The print processor recognizes the job's data type and receives the print job. The print processor then converts the print job according to its data type.
  7. If the target printer is defined on the client computer, the print server service decides whether the server's spooler should alter the print job or assign a different data type. The print job then passes to the local print provider, which writes it to the disk.
  8. Control of the print job is passed to the separator page processor, which adds a separator page, if specified, to the front of the job.
  9. The job is despooled to the print monitors. For bidirectional printers, a language monitor handles the two-way communication between the sender and the printer, and then it passes the print job to a port monitor. If the printer is not bidirectional, the print job goes directly to the port monitor, which sends it to the target printer (or, to another network print server).
  10. The printer receives the print job, converts each page into bitmap format, and prints it.


Internet printing

Internet printing provides a way to submit print jobs to a printer across the Internet. For example, you can send your company's new catalog directly to your publisher's printer, providing you have your publisher's printer name and the proper permission. You can also use this technology with your local area network (LAN) or intranet.

Internet printing process overview
  • To install a printer from the Internet you use the printer's URL as the name of the printer. Administrators can also use the URL format within an intranet.
  • For a computer running a Windows Server 2003 family operating system and XOX to process print jobs that contain URLs, it must be running Microsoft Internet Information Services (IIS).
  • Internet printing uses Internet Printing Protocol (IPP) as its low-level protocol, which is encapsulated within HTTP, using it as a carrier. When accessing a printer through a browser, the system first attempts to connect using RPC (on Intranets and LANs), which is fast and efficient.
  • Print server security is provided by IIS. To support all browsers and all Internet clients, the administrator must choose basic authentication. Alternatively, the administrator can use Microsoft challenge/response or Kerberos authentication, both of which are supported by Microsoft Internet Explorer.
  • You can manage printers from any browser, but you must use Internet Explorer version 4.0 or higher to be able to connect to a printer using a browser.


Printing and print servers

When you add a printer that is attached directly to the network through a network adapter, you can implement printing in two ways: adding a printer directly to each user's computer without the use of a print server computer, or adding the printer once to a print server computer and then connecting each user to the printer through the print server computer.

Printing without using a print server

For the first method, consider the following scenario: A small workgroup network has only a few computers and a printer that is connected directly to the network. Each user on the network adds the printer to his or her Printers and Faxes folder without sharing the printer, and sets his or her own driver setting.

The disadvantage of this configuration is the users do not know the true state of the printer. Each computer has its own print queue displaying only those print jobs sent from that computer. You cannot determine where your print job is in relation to all the print jobs from other computers. Another drawback is that error messages—such as paper jams or empty paper trays—appear only on the print queue for the current print job. Finally, all the processes on a document submitted for printing are done on that one computer.

Printing with a print server

The second way to set up printing is to have one computer running a Windows Server 2003 family operating system function as a print server. That computer adds the printer and shares it with the other users. A computer running XOX can also function as a print server but with some limitations; it cannot support Macintosh or NetWare services, and it is limited to only 10 connections within the same local area network (LAN).

Printing with a print server provides the following advantages:

  • The print server manages the printer driver settings.
  • A single print queue appears on every computer connected to the printer, letting each user see where his or her print job is in relation to others waiting to print.
  • Because error messages appear on all computers, everyone knows the true state of the printer.
  • Some processing is passed from the client computer to the print server.
  • You can have a single log for administrators wanting to audit the printer events.

The only disadvantage of using a print server is that it requires a computer to function as the print server. However, it does not need to be a dedicated computer; typically, print servers are implemented on servers that also perform other duties.


Printer drivers overview

A printer driver is software used by computer programs to communicate with printers and plotters. Printer drivers translate the information you send from the computer into commands that the printer understands. Usually, printer drivers are not compatible across platforms, so various drivers must be installed on the print server to support different hardware and operating systems. For example, if you are running XOX and you share a printer with users running Windows 3.1, you might need to install multiple printer drivers.

In general, printer drivers are made up of three types of files:

Configuration or printer interface file

Displays the Properties and Preferences dialog boxes when you configure a printer. This file has a .dll extension.

Data file

Provides information about the capabilities of a specific printer, including its resolution capability, whether it can print on both sides of the page, and what size paper it can accept. This file could have a .dll, .pcd, .gpd, or .ppd extension.

Printer graphics driver file

Translates device driver interface (DDI) commands into commands that a printer can understand. Each driver translates a different printer language. For example, the file Pscript.dll translates the PostScript printer language. This file has a .dll extension.

These files, which are usually accompanied by a Help file, work together to make printing possible. For example, when you install a new printer, the configuration file reads the data file and displays the available printer options. When you print, the graphics driver file queries the configuration file about your selections so that it can create the proper printer commands.

For information about installing printer drivers, see To install new or updated printer drivers.


Printer fonts overview

Most programs that support printing allow you to choose from a number of different fonts. Printers offering the widest assortment of fonts include laser, ink-jet, and dot-matrix printers. They support a fixed set of resident fonts, which you can expand by installing font cartridges or loading fonts from software.

  • Internal fonts (resident fonts) are used most often by laser, dot-matrix, and ink-jet printers. Pre-loaded into the printer's memory (ROM), internal fonts are always available for printing.
  • Cartridge fonts are stored in a cartridge or a card that plugs into the printer.
  • Downloadable fonts are sets of characters sent from the computer to a printer's memory when needed for printing. Also called soft fonts, downloadable fonts are used most often with laser printers and other page printers, although some dot-matrix printers also use them. Clients that use downloadable fonts and that print to Windows print servers should install the fonts locally to increase the printing speed.

For each document you print, Windows may need to send the required screen and downloadable fonts to the printer. To increase printing speed, use fonts that do not need to be downloaded (such as internal fonts or cartridge fonts). Some printers have the ability to keep a list of downloadable fonts. If your printer supports this feature, enable it to increase printing speed. Not all printers can use all three types of fonts. Pen plotters, for example, cannot normally use downloadable fonts. For more information on the types of fonts you can use, see your printer's operating manual.

For information about installing fonts, see To install or remove external PCL soft fonts.


Print processors and data types

The print processor tells the spooler to alter a job according to the document data type. It works in conjunction with the printer driver to send the spooled print jobs from the hard drive to the printer.

Software vendors occasionally develop their own print processors to support custom data types. Normally, the print processor does not require any settings or intervention from administrators.

Data types

The Windows printing process normally supports five data types. The two most commonly used data types, enhanced metafile (EMF) and ready to print (RAW), affect performance in different ways on both the client computer and the print server computer.

EMF

EMF, or enhanced metafile, is the default datatype with most Windows-based programs. With EMF, the printed document is altered into a metafile format that is more portable than RAW files and usually can be printed on any printer. EMF files tend to be smaller than RAW files that contain the same print job. Regarding performance, only the first portion of a print job is altered, or rendered on the client computer, but most of the impact is on the print server computer, which also helps the application on the client computer to return control to the user faster.

RAW

RAW is the default data type for clients other than Windows-based programs. The RAW data type tells the spooler not to alter the print job at all prior to printing. With this data type, the entire process of preparing the print job is done on the client computer.

The following table shows the five different data types supported by the default Windows print processor.

Data type | Directions to spooler | Use
RAW | Print the document with no changes. | This is the data type for all clients not based on Windows.
RAW [FF appended] | Append a form-feed character (0x0C), but make no other changes. (A PCL printer omits the document's last page if there is no trailing form-feed.) | Required for some applications. It can be set as the default in the Print Processor dialog box.
RAW [FF auto] | Check for a trailing form-feed and add one if it is not already there, but make no other changes. | Required for some applications. It can be set as the default in the Print Processor dialog box.
EMF 1.00x | Treat the document as an enhanced metafile (EMF) rather than the RAW data that the printer driver puts out. | EMF documents are created by products in the Windows Server 2003 family.
TEXT | Treat the entire job as ANSI text and add print specifications using the print device's factory defaults. | This is useful when the print job is simple text and the target print device cannot interpret simple text.


Choosing and configuring a port

The term print monitor is used to describe two types of print monitors: language monitor and port monitor. (See the printing process overview illustration to see how the print monitor fits into the printing process.) A language monitor is needed if the printer supports bidirectional printing, a two-way communication between the printer and the spooler running on the print server. The spooler then can access configuration and status information from the printer. The more important monitor is the port monitor, which controls the I/O port to the printer. A printer port is an interface through which a printer can communicate with the computer. You can add printer ports using the Add Printer Wizard while adding a printer, from the Ports tab in the printer's property page, or through the print server property page. See Set ports and protocols for the complete procedures on ports.

The process of selecting a port and the subsequent options that are displayed depends on how your printer is connected to the server or network and what software (including protocols) you have installed.

If the printer is physically attached to the print server, select the appropriate local port. LPT1 through LPT3 represent parallel ports; COM1 through COM4 represent serial ports. When a client prints to a printer port denoted as FILE, the client is prompted for the file name, and the output file is stored on the client computer. If you decide to add a new local port, you can enter one of the following:

  • A file name, such as C:\dir\filename. All jobs sent to this port are written to the named file, and each new job overwrites the last one.
  • The share name of a printer, such as \\server\printer (URLs are not accepted). Jobs sent to this port are transferred over the network to the named share by the network redirector.
  • NUL. This specifies the null port, which you can use to test whether network clients can send jobs. Jobs sent to NUL are deleted without wasting paper or delaying real print jobs.
  • IR. Use this port to connect to infrared-enabled printers meeting Infrared Data Association (IrDA) specifications. If your hardware does not support IR, it will not be listed on the Ports tab.

Certain ports are not listed in the Ports tab unless a printer that requires one of them is installed. Universal Serial Bus (USB) and IEEE 1394 printers are Plug and Play compatible; when you plug a printer into the correct physical port (and USB or IEEE 1394) enabled in BIOS, the correct port monitor is installed automatically. Your operating system detects the device, displays its settings on the screen, and prompts you to confirm. You might be required to insert a CD-ROM containing driver files, as described in To add a local port.

If the printer is attached directly to the network, add a port when prompted by the Add Printer Wizard for a port selection. The following table shows the port options available and explains under what conditions the port is available. You must have administrative credentials to add a port.

Additional port | Enables clients to print to | Available
Local port | Printers connected to a parallel port, serial port, specific file name, universal naming convention (UNC) name, or the NUL port. | By default; see To add a local port.
Standard TCP/IP port | TCP/IP printers connected directly to the network. | By default; see To add a standard TCP/IP port.
AppleTalk printing devices | AppleTalk printers. | When AppleTalk protocol is installed; see To add an AppleTalk printing device port.
LPR port | TCP/IP printers connected to a UNIX (or VAX) server. | When Print Services for Unix is installed; see To add an LPR port.
Port for NetWare | NetWare printing resources. | When NWLink protocol and Client Services for NetWare are installed.

Note

  • XOX

The port you need might not appear in the wizard if its prerequisite network protocol or services are not installed. To add a network protocol or service, see To add a network component.

Print Services for Unix

With UNIX, a program on one computer can use a Line Printer Remote (LPR) service to send a document to a print spooler service on another computer. The receiving service is usually called a Line Printer Daemon (LPD).

Print Services for Unix provides both LPR and LPD services, which act independently on a print server computer running a Windows Server 2003 family operating system. LPD is run on the print server computer to allow the server to accept jobs from LPR clients such as UNIX systems. LPR is an option for computers running XOX to submit jobs to UNIX servers running LPD.

  • LPDSVC on the print server receives documents from native LPR utilities running on client UNIX computers.
  • LPRMON on the print server sends print jobs to native LPD processes on UNIX computers to which printers are attached.

By default, the LPD service is set to start manually. To have it start automatically, change the startup options for the TCP/IP print server service in Services. You need a Windows Server 2003 family operating system compact disc to install Print Services for Unix on a computer running a Windows Server 2003 family operating system. You need the XOX compact disk to install the services on a computer running XOX.


Installing printers with Plug and Play

Plug and Play provides automatic detection and quick installation of many hardware devices, including printers. Nearly every printer on the market today is a Plug and Play printer. However, the way printers are detected and the level of user intervention required for the installation process differs, and depends on the way the printer is connected to the computer.

Universal serial bus (USB) and IEEE 1394 printers

Printers using the latest connector technology, such as printers with a universal serial bus (USB) port or IEEE 1394 port, are detected immediately. When you insert the jack into the port, your operating system detects the printer and starts the installation process without any user intervention. Note that a USB or 1394 port is installed automatically upon detection of such device. If no such device is connected to your computer, these ports are not listed in the existing port list.

Parallel (LPT port) printers

Printers that connect with a parallel port (LPT port) cannot be detected upon the physical connection. After you physically connect the parallel cable and verify that the printer is turned on and ready to print, you need to add the printer with the Add Printer Wizard, making sure that the Automatically detect and install my Plug and Play printer check box is selected. This starts the Plug and Play detection system. Or, you can restart your system to cause the startup process to detect the printer and start the New Found Hardware Wizard.

Note

  • If you add a parallel printer with the Add Printer Wizard while the Automatically detect and install my Plug and Play printer check box is cleared, the next time you restart your computer (even after several days or weeks working with that printer) Windows detects a new hardware device and starts the New Found Hardware Wizard to add that printer.

Infrared-enabled (IR port) printers

Infrared-enabled printers are detected in the same manner as printers with USB or IEEE 1394: automatically upon physical connection. You should place the printer approximately one yard (one meter) away from the infrared transceiver for it to be detected.

Note that the IR port, like a USB port, is not present unless Windows detects and installs it. However, if your system is not infrared-enabled and you add an infrared transceiver, you need to add the IR port manually.

Printers that are not Plug and Play

The following printers (as well as other devices that connect the same way) are not Plug and Play and are not detected or installed automatically. These printers must be installed using the Add Printer Wizard:

  • Printers connected through a serial (COM) port.
  • Printers that are connected directly to the network with a network adapter.

For more information on using the Add Printer Wizard, see To add a printer attached to your computer.


Printer properties overview

You use a printer's properties pages, or tabs, to set and customize a printer's behavior, provided you have the appropriate printer permission. The printer's properties tabs include a standard set of tabs that always appear for all printers, and optional tabs that might appear based on the printer's driver. For example, color printers have an additional tab called Color Management.

The first table summarizes the standard set of the printer's properties tabs, which always appear. The second table shows some examples of optional printer's properties tabs that might appear.

Tab | Use to
General | Change printer's name Set printer's location and comment Print a test page Set personal printing preferences
Sharing | Share a printer, or stop sharing Publish a printer in Active Directory Install additional drivers
Ports | Add, delete, and configure a port Enable printer pooling
Advanced | Schedule printer availability Assign printer priority Change printer's driver Set spooling options Set printer's default preferences Set a separator page
Security | Assign permissions for a printer Audit printer use Take ownership of a printer
Device Settings | Set printer memory Assign a print form to a tray Choose font types Set what optional features are installed

Here are some examples of optional properties tabs that might appear depending on the type of printer (as indicated by its driver), the situations in which they appear, and what you use them to do. Other optional tabs not listed in the table might also appear.

Tab | Appears with | Use to
Color Management | Color printers | Set color profile
About | Some drivers | Printer manufacturer information (when manufacturer assists with driver)
Utilities | Some drivers | Printer manufacturer utilities
User Information | Fax drivers | Information to be used on the fax cover page
Printer Commands | Generic printers (text only) | Set control codes for a generic printer
Font Selection | Generic printers (text only) | Set control codes for fonts


Assigning printer permissions

When a printer is installed on a network, default printer permissions are assigned that allow all users to print, and allow select groups to manage the printer, the documents sent to it, or both. Because the printer is available to all users on the network, you might want to limit access for some users by assigning specific printer permissions. For example, you could give all nonadministrative users in a department the Print permission and give all managers the Print and Manage Documents permissions. In this way, all users and managers can print documents, but managers can also change the print status of any document sent to the printer.

Windows provides three levels of printing security permissions: Print, Manage Printers, and Manage Documents. When multiple permissions are assigned to a group of users, the least restrictive permissions apply. However, when Deny is applied, it takes precedence over any permission. The following is a brief explanation of the types of tasks a user can perform at each permission level.

Print

The user can connect to a printer and send documents to the printer. By default, the Print permission is assigned to all members of the Everyone group.

Manage Printers

The user can perform the tasks associated with the Print permission and has complete administrative control of the printer. The user can pause and restart the printer, change spooler settings, share a printer, adjust printer permissions, and change printer properties. By default, the Manage Printers permission is assigned to members of the Administrators and Power Users groups.

By default, members of the Administrators and Power Users groups have full access, which means that the users are assigned the Print, Manage Documents, and Manage Printers permissions.

Manage Documents

The user can pause, resume, restart, cancel, and rearrange the order of documents submitted by all other users. The user cannot, however, send documents to the printer or control the status of the printer. By default, the Manage Documents permission is assigned to members of the Creator Owner group.

When a user is assigned the Manage Documents permission, the user cannot access existing documents currently waiting to print. The permission will only apply to documents sent to the printer after the permission is assigned to the user.

Deny

All of the preceding permissions are denied for the printer. When access is denied, the user cannot use or manage the printer or adjust any of the permissions.

Printing permissions assigned to groups

Windows assigns printer permissions to six groups of users. These groups include Administrators, Creator Owner, Everyone, Power Users, Print Operators, and Server Operators. By default, each group is assigned a combination of the Print, Manage Documents, and Manage Printers permissions as shown in the following table.

Group | Print | Manage Documents | Manage Printers
Administrators | X | X | X
Creator Owner |  | X |
Everyone | X |  |
Power Users | X | X | X
Print Operators | X | X | X
Server Operators | X | X | X

The Print Operators and Server Operators groups are located only on domain controllers.

Each permission consists of a group of special rights that allow the user to perform specific tasks. The following table summarizes the level of access associated with each of the printing security permissions.

Tasks permitted | Print | Manage Documents (applies to documents only) | Manage Printers
Print | X |  | X
Manage Printers |  |  | X
Manage Documents |  | X |
Read Permissions | X | X | X
Change Permissions |  | X | X
Take Ownership |  | X | X

For more information, see To set Group Policy for printers.


Enabling printer location tracking

In network environments, most users do not need to know the physical location of files, databases, and Web sites. However, they do need to know the physical location of hardware devices such as printers, scanners, copiers, and facsimile (fax) machines. The printer location tracking feature helps users find hardware devices by storing their locations in Active Directory. When this feature is enabled, the location string is displayed automatically for each printer.

Your network environment must have the following to be able to use this feature:

  • A working directory service with more than one site or more than one subnet.
  • A network IP addressing scheme that corresponds roughly to the physical layout of your enterprise.
  • Client computers that can query the directory service.
  • A subnet object for each site. You can create them using Active Directory Sites and Services.
  • Administrative credentials.

If these requirements are met, you need to do the following to enable this feature:

  1. Establish a naming convention for your organization.

    2. For more information, see Establishing a naming convention for printer locations.

  2. Create a subnet object in the directory service.

    3. For location tracking to work, you must have more than one subnet or site. You also need a subnet object for each subnet that a client computer might use. The naming of subnets is defined by the directory service. For more information, see To create a subnet.

    Note that to set and manage the directory service site and subnet you need to use Active Directory Sites and Services.

  3. Set the location attribute of the sites and subnets.

    4. After you have created the site and subnet objects, you need to set the location string for each subnet. Use the Location tab of the subnet property page to set the location string. Note that the directory service site name does not have to be the same as the location name.

  4. Enable location tracking.

    5. You need to use Group Policy to enable location tracking. For information on how to do this, see To enable printer location tracking.

  5. Set the location of each printer.

    6. Add the location for each printer in each printer's property page. You can either type the location attribute, or you can click to browse for it.

    Consider adding more information about the location of the printer, such as its room number. For information on how to do this, see To enable printer location tracking.

  6. Test your settings.

    7. Always test your settings by trying them on several printers, and on different print servers from different locations.

How an end user uses location tracking

Location tracking is used whenever a user queries the directory service. To start the query, click Start, click Search, and then click Find Printers. You can also open the query screen from the Add Printer Wizard while connecting to a printer connection, by clicking Find a printer in the Directory. If location tracking is enabled, the system first determines where the client computer is physically located in the organization. While this is in progress, the location field of the query form displays Checking. After the location has been determined, it is entered into Location. If the location cannot be determined, Location is left blank.

When the user clicks Find Now, Active Directory lists all printers matching the user's query that are located in the user location. Users can change the location field by clicking Browse to search for printers in other locations. For example, suppose a company is located in a building with several floors, where each floor is configured as a subnet. If a user located in the first floor fails to locate a color printer in Floor 1, then the user can change the location to Organization 1/Floor 2 or even to Organization 1 to increase the scope of the search.

Note that the location field is not automatically available for users running Windows 95, Windows 98, or Windows NT 4.0 without a directory service client. However, they can still query the directory service for printers in a specific location, if they know the exact location attribute and type it in the location field.


Group Policy and printing

Administrators use Group Policy to define the computer environment that is provided to a group of users and computers, including the applications that are available to them, the applications that appear on their desktop and on the Start menu options, who can modify their desktop and who cannot, and so on. For more information about Group Policy see Group Policy overview.

Administrators can also use Group Policy to change the default behavior of the printing environment and to provide computers and users a standard set of preferences. For example, an administrator can restrict some groups or users from adding or deleting printers, or prevent everyone from using Internet printing or publishing their printers in Active Directory.

The following list shows examples of setting policies on printers.

  • To disable Web-based printing for every client on the print server:

    • Open Group Policy. Expand the following: Computer Configuration, Administrative Templates, Printers. Select Disable Web-based Printing to enable the policy.

  • To enable Web-based printing for every client on the print server, except Client1:

    • Select Disable Web-based Printing to disable the policy for everyone on the print server. Then, add the policy as a snap-in for Client1 as the Group Policy object. Here, clear Disable Web-based Printing to enable the policy.

Other usages of Group Policy for printing are as follows:

  • Administrators can change the default behavior of the Add Printer Wizard. For more information, see To add a printer attached to your computer, or To add a printer attached directly to the network.
  • Administrators can change the way printers are published in Active Directory. For more information, see To publish a printer in Active Directory, and To manually publish a printer in Active Directory
  • Administrators can disable Internet printing. For more information, see To manage printers from a browser, and To connect to a printer with a browser

Several other Group Policy settings change the default behavior of printing. For information on these settings, click Explain on the setting's dialog box. For more information about Group Policy and printing, see To set Group Policy for printers


Using printing

As with any other operating system, building an effective printing environment with the Windows Server 2003 family requires careful planning. Many variables can affect the performance of your printing resources and the satisfaction of users. The wide variety of printing equipment and strategies for deploying it add further considerations for decision-making.

This section describes a number of different printing scenarios and provides information on fine-tuning your printing performance.

  • Planning for printing
  • Administering printing


Planning for printing

As administrator of a computer running a member of the Windows Server 2003 family, you first need to examine your printing workload and estimate the capacity needed to satisfy demand under varying conditions. You also need to establish a naming convention that will ease installation, usage, and support of your printing environment.

Next, you need to determine how many print servers your network requires, and how many printers you need to allocate to each server. Finally, you must decide which printers to buy, which computers to use as print servers, where to locate printers, and how to manage printer traffic.

This section covers:

  • Choosing a printer name
  • Establishing a naming convention for printers
  • Establishing a naming convention for printer locations
  • Sizing and choosing printers
  • Sizing and choosing print servers


Choosing a printer name

XOX and Windows Server 2003 family products support the use of long printer names. This allows you to create printer names that contain spaces and special characters. However, if you share a printer over a network, some clients will not recognize or correctly handle the long names, and users may experience problems printing. Also, some programs cannot print to printers with names longer than 32 characters.

For shared printers, the entire qualified name (including the server name, for example \\PRINTER2\PSCRIPT) must be 32 or fewer characters.

  • If you share a printer with a variety of clients on a network, use 32 or fewer characters for printer names, and do not include spaces or special characters in these names.
  • If you share a printer with MS-DOS computers, do not use more than eight characters for the printer's share name. You can lengthen the name by adding a period followed by no more than three characters, but you cannot use spaces in the name.

Several Windows version 3.x programs cannot print to a printer if its name contains more than the specified number of characters and will generate an Access Violation or other message if printing is attempted. Other programs may not print to any printer, even printers with short names, if the default printer's name is too long. To resolve these problems, rename the printers used by these programs with shorter names and make one of the renamed printers the default printer.


Establishing a naming convention for printers

Setting a standard for printer names is a well-accepted practice, and many organizations establish it early in their printing planning. However, in the Windows Server 2003 family environment, the printer location tracking feature shifts the importance of naming standards from printer names to location names. When printer location tracking is enabled, setting a solid location name standard is imperative to its successful implementation. The feature also allows for much more liberty in naming printers. For more information about setting printer location names, see Establishing a naming convention for printer locations.

However, printer location tracking is not suited for every organization, and it is disabled by default. If you do not enable printer location tracking, then you should carefully plan your organization's naming standard for printers. You need to create a simple, easy-to-implement naming standard that fits your own printer deployment plan.

For example, if you have two identical printers in the mail room, your naming convention needs to provide a way to identify each of the printers, perhaps by adding a number at the end of each printer name. You also want a naming standard that provides users with information about the printer. Therefore, to continue with the previous example, you might name the printers Printer-01, and Printer-02. The naming standard might also tell users what kind of printed output to expect. You could call a color laser printer ColorLaser-01, and a color inkjet printer ColorInk-01.

If you do not enable printer location tracking, consider adding the printer location as part of your printer naming standard. However, remember that printers are likely to move, which will require you to change their names.

For other considerations and issues with setting printer names, see Choosing a printer name.


Establishing a naming convention for printer locations

To use printer location tracking, described in To enable printer location tracking, you need to set a naming convention for printers' locations using the following rules:

  • Location names are in the form name/name/name/name/... (The slash (/) must be the dividing character.)
  • A name can consist of any characters except for the slash (/).
  • The number of levels to a name is limited to 256.
  • The maximum length of name is 32 characters.
  • The maximum length of an entire location name is 260 characters.

Because location names are used by end users, they should be simple and easy to recognize. Avoid using special names known only to facilities management. For better readability, avoid using special characters in a name, and keep names to a maximum of 32 characters to make sure that the whole name string is visible in the user interface.

Example:

Consider an organization with multiple locations in North America and Europe. The naming scheme for the organization might be as follows:

Top level | Level | Level | Level
NorthAmerica |  |  |
 | NewYork |  |
 |  | HQ |
 |  |  | Floor1
 |  |  | Floor2
 |  | Buffalo |
 |  |  | Design
 |  |  | Plant
 |  |  | Admin
 | Vancouver |  |
 |  | Building1 |
 |  | Building2 |
 | Dallas |  |
Europe |  |  |
 | Paris |  |
 |  | Design |
 | London |  |
 |  | ... |
 | Madrid |  |

Note that the tree varies in depth depending on the complexity of the organization and the amount of detail available in the IP network. The naming convention for this example includes more levels than for a smaller organization located in a single city, or a single building. The full name of the design building in Buffalo, New York is NorthAmerica/NewYork/Buffalo/Design; for the design building in Paris, the full name is Europe/Paris/Design, and the smaller office in Dallas has the name as NorthAmerica/Dallas.

Setting standards when printer location tracking is disabled

As mentioned previously, you can add information to Location in the General tab of the printer property page even if printer location tracking is disabled. However, this has the potential to make printers difficult for users to locate. When users search for printers on the tenth floor, they need to know exactly what to type in the Find Printers property page when they click Start, then Search, and then Find Printers. When printer location tracking is enabled, the Location field in the Find printer property page is filled in automatically.


Sizing and choosing printers

When you plan the printing strategy for your organization, you need to estimate the number and type of printers you need both now and in the future. Consider the following:

  • Determine how printing resources will be divided and allocated. High-volume printers generally have more features but affect more users if they break down.
  • Consider the printer features you need, such as color, duplex printing, envelope feeders, multi-bin mailboxes, internal disks, and staples. Determine who needs these features and where these users are physically located.
  • Although cost is a factor, laser printers might be a good choice for both black-and-white and color printing. However, many less expensive laser printers do not support larger page size, which you might require.
  • Generally, you will experience fewer maintenance problems if you match printing volume with a printer's duty cycle (the number of pages the printer was designed to print per month).
  • Consider what type of graphics your organization needs. Windows, TrueType, and other technologies make it possible to print complex and sophisticated graphics and fonts on most printers.
  • Consider printing speed requirements. Generally, printers that attach directly to the network with network adapters offer faster throughput than printers attached with parallel buses. However, print throughput rates also depend on network traffic, the type of network adapter, and the protocol used, not just the type of the printer.
  • To confirm that your printer is designed for this operating system, see the compatibility information in Support resources.

Deciding where to locate printers

You want to place printers close to the people who will be using them. However, you also need to determine printers' locations in relation to the location of the print server and users' computers within your network. Another goal should be to minimize the impact of printing on your network environment.

Check your network infrastructure and try to prevent print jobs from hopping through multiple internetwork devices. If you have a group of users with high-volume printing needs, you can isolate them with their own printer located on their segment of the network, minimizing the effect on other users.


Sizing and choosing print servers

Consider the following when sizing and choosing your print servers:

  • A print server can be any computer running a product in the Windows Server 2003 family or XOX.
  • A print server running XOX is limited to 10 concurrent connections from other computers and does not support printing from Macintosh and NetWare clients.
  • The minimum requirements for a Windows Server 2003 family server for file and print services will be sufficient for a print server that manages just a few printers with low printing throughput. Managing a large number of printers or many large documents requires more memory, disk space, and potentially a more powerful computer.
  • In situations where many large documents are submitted for printing at the same time, the print server must have enough disk space to spool all of the documents. If you need to keep a copy of everything you print, you must provide additional disk space.
  • If you use the Windows Server 2003 family server for both file and print sharing, file operations have a higher priority, so printing will not slow access to files. That is especially true if the printers are connected directly to the server; parallel and serial ports are always the primary bottleneck.
  • Printers that attach directly to the print server, typically through the parallel port, require more CPU time. It is always preferable to use printers that are attached directly to the network with a network adapter.
  • To maximize print server throughput, and to manage many printers, or printing of many large documents, you should dedicate a Windows Server 2003 family server only for printing.
  • To increase the throughput of a print server, you can change the location of the print spool folder. For best results, move the spool folder to a dedicated disk drive that does not share any files, including page files with the operating system.


Administering printing

You can administer printers and print servers locally or over the network. Administrative tasks include managing documents in a print queue, managing individual printers on print servers, and managing the print servers themselves.

This section covers:

  • Managing documents
  • Managing printers
  • Managing printer drivers
  • Setting document printing defaults
  • Connecting clients to a printer
  • Setting device-specific properties
  • Using separator pages
  • Using plotters
  • Printing extended or international characters
  • Managing printing from the command line
  • Managing printing traffic


Managing documents

When managing a document, you can:

  • Pause or resume printing.
  • Restart the document from the beginning.
  • Delete a document.
  • View and change various document settings, such as the document priority and the person notified when the document is done. You can also view—but not change—the form type, paper source, page orientation, and number of copies. These options are available only to XOX and Windows 2000 clients using a printer on the network.

For information on managing the documents in a print queue, see Manage documents.


Managing printers

When you manage printers, your actions affect the entire printer, not individual documents. Typical tasks include pausing, resuming, and purging the queue for a printer.

Redirecting documents

If a printer becomes faulty, you might need to send documents in its queue to another printer. This prevents users from having to resubmit print jobs that are already in the queue. You can redirect documents to a printer on the same print server or on a different print server. However, both printers must use the same printer driver.

To send documents to a different printer, see To transfer documents to another printer.

Administering printers on the network

Any network user can check the status of a printer from any computer across the network. However, only users who have Manage Printers or Manage Documents permission for the printer can manage documents other than their own. If you do not have the correct permission, certain options are unavailable. Also, when you attempt to view certain properties on computers running Windows NT 4.0 or earlier, an error message appears.

You can also manage printers from a Web browser, if Internet printing is enabled.

For more information about accessing a printer on the network, see To remotely manage printers. For more information about managing a printer from a Web browser, see To manage printers from a browser.

Printers and Active Directory

The easiest way to manage, locate, and connect to printers is through Active Directory. Users can also search for specific printers—for example, all color printers in building 10—and even save search results for future use. Administrators can create custom searches for different groups of users, and then save the result files on users' desktops, or at any other location. For more information on how to do custom searches for printers, see To create a custom printer search.

By default, all printers that are added to a computer running a Windows Server 2003 family operating system and shared are also published in Active Directory. Administrators can also manually publish printers, as described in To manually publish a printer in Active Directory.

Auditing a printer

To increase the level of security of some specific printers, or as a tool for troubleshooting, you can audit a printer's activity. For more information about auditing a printer, see To track printer usage.

Taking ownership of a printer

To change print administrators (for example, if the current print administrator left your organization) you would need to take ownership of the printer in order to manage it. For more information about taking ownership of a printer, see To take ownership of a printer.

Setting Group Policy for printers

If you want to define a standard printing environment for your organization, you can use a Group Policy setting for groups of users. Each new user that joins the organization has the same credentials as other users in that group without any intervention from the administrator. For more information on Group Policy settings, see To set Group Policy for printers.


Managing printer drivers

If your network contains a mixture of Alpha-based and x86-based computers, you can install printer drivers for each one on each print server. This ensures that documents originating from XOX, Windows 2000, Windows NT 4.0, Windows 95, or Windows 98 clients running on any of the hardware platforms can use all printers.

For example, suppose your network contains the following: Windows 95 clients, x86-based clients running XOX or Windows 2000 and Windows NT 4.0, and Alpha-based clients running Windows NT Workstation 4.0 and 3.51. If you create a shared printer on an x86-based computer, you should install these four printer drivers in addition to the x86-based Windows Server 2003 family printer driver that is installed by default for the printer you have selected:

  • Windows 95.
  • Windows NT 4.0 x86-based.
  • Windows NT 4.0 Alpha-based.
  • Windows NT 3.5 or 3.51 Alpha-based.

When installed on a computer which is acting as a print server, the Windows Server 2003 family operating system determines whether incoming print requests are Alpha-based or x86-based and automatically sends the appropriate driver to the client.


Setting document printing defaults

Device-specific properties such as resolution and memory specify a printer's hardware characteristics. Document printing defaults describe how that hardware can be used to perform a printing task. Unless you override them, a program uses the default document properties that are set for a printer.

Typical document default properties include:

  • Page orientation
  • One-sided or two-sided printing
  • Paper source
  • Type of form (paper size)

You can set other preferences as well. To view the document printing preferences, see Set printing preferences.

Setting default printing preferences

As administrator, you can set the initial defaults for a printer. When a user connects to the printer, the user's defaults are set to these global settings. For more information on setting the printing default preferences, see To set printing defaults.

Setting personal printing preferences

Individual users can change default document properties and set their own personal printing preferences. These preferences include the same options as the default printing preferences except that they apply only to that user instead of to the printer. As with Windows NT 4.0, a user can also change the printing defaults from the print dialog box of the application. In such a case, the new defaults apply when a program prints. Note that changes made by an administrator after a user has established a connection to a printer have no effect on that user. For more information on setting personal printing preferences, see To set personal printing preferences.


Connecting clients to a printer

After you have added a printer to a computer running a Windows Server 2003 family operating system, you can set up clients to access it. The tasks that you perform to make sure users can print depend on the operating system used by the client computers on your network.

XOX, Windows 2000, Windows NT, Windows 95, and Windows 98 clients

For XOX, Windows 2000, Windows NT 4.0, Windows 95, and Windows 98 clients, you do not need to do anything further. The users connect to the shared printer by clicking Connection to this printer in the Add Printer Wizard. Or, if Active Directory is enabled, they can just search for the printer they want to add, right-click it, and then click Connect. In both cases, the printer driver is automatically copied to the client computer.

Windows 2000 and Windows NT 4.0 clients check the printer driver and printer configuration each time they connect. Windows NT 3.x clients check each time the spooler service on the client is started. If the driver is not current, a copy of the new driver is downloaded automatically. The printer driver for a client running Windows 95 or Windows 98 is not automatically kept current. If you update the driver on the print server, you must manually install the driver on clients running Windows 95 or Windows 98. However, administrators should update the drivers on the print server, making it easier for these clients to update their drivers manually from the print server instead of requiring floppy disks or CD-ROMs. For more information, see To connect to a printer on a network, or To connect Windows NT 4.0, Windows 95, and Windows 98 clients.

Windows 3.x, Windows for Workgroups, and MS-DOS clients

MS-DOS and all the different versions of previous Windows operating systems support printing from MS-DOS–based applications and Windows-based applications, by using 16-bit printer drivers that must be installed on each computer. Typically, they send jobs to the print server by using one of the following network client redirectors:

  • LAN Manager
  • Microsoft Network Client 3.0 for Windows
  • Windows for Workgroups built-in redirector

The network redirector can send jobs using NWLink or TCP/IP. The print server receives the job through the server service, which typically does not alter the print job. For more information, see To connect MS-DOS, Windows 3.x, and OS/2 clients.

NetWare Clients

NetWare clients can install network client software on each client computer to provide direct access to NetWare servers, and to Windows Server 2003 family servers and printers. For example, on Windows 95 and Windows 98, clients that are connected only to the NetWare server need to add the Client for Microsoft Networks to add connectivity to computers running Windows Server 2003 operating systems.

Note

  • XOX

Macintosh Clients

Macintosh clients send print jobs over AppleTalk to a print server computer running a Windows Server 2003 family operating system. Print Server for Macintosh must be installed on the print server.

Note

  • XOX

UNIX Clients

UNIX clients can connect to a print server computer running a Windows Server 2003 family operating system, by using the Line Printer Remote (LPR) monitor. This might be problematic because not all UNIX systems support LPR specifications, and different versions of UNIX use different LPR command syntax. For more information, see To print from an LPR client to a printer.


Setting device-specific properties

Device-specific properties describe the physical configuration of a printer, such as how much memory it has, which paper trays are loaded, and so on. When you add a new printer, make sure the device-specific properties match the settings of the printer. Although default settings work for many printing needs, some special options, such as those available with PostScript printer drivers, require specific settings.

Setting installable options

As an administrator, you have the ability to specify which options are actually installed on the printer. Many printers today support options such as duplex units (to allow printing on both sides of a paper), internal hard disks, envelope feeders, staplers, multi-bin mailbox trays, and others.

To set the options available to users, see To set installable options for a printer.

Setting printer memory

Because page printers must store an entire page in memory, they require relatively large amounts of memory. If you are using a page printer, such as a laser printer, make sure that the amount of memory available in the device matches the value shown in the Device Settings tab. If the printer has substantially more or less memory than what is shown in the Device Settings tab, print throughput can suffer. For example, your operating system might try to download more fonts to the printer than it can reasonably handle. (Running a printer self-test usually tells you how much RAM the printer contains.)

To change the amount of memory specified for a printer, see To set printer memory.

Assigning forms to paper trays

If a printer has multiple trays that hold different types of forms, you can assign a form to a specific paper tray. Users can then select the form from within the program that they are using. When they print a document, the print job is routed to the correct paper tray.

Windows-based programs can use different forms within a document. For example, a user might use Envelope for the first page, Letterhead for the second page, and Letter for the third and following pages.

The default form setting for a paper tray is Letter. To set forms to trays, see To match a form to a printer tray.

Choosing font types

Products in the Windows Server 2003 family support three types of fonts:

  • Device fonts actually reside in the hardware of your printer. They can be built into the printer itself or can be provided by a font cartridge or font card.
  • Screen fonts are fonts (including OpenType, TrueType, raster, and vector fonts) that can be translated for output to the printer. OpenType extends the TrueType font standard but is compatible with previous versions of Windows and any application that supports TrueType fonts.
  • Downloadable or soft fonts are sets of characters stored on disk and sent to a printer's memory when needed for printing a document. Clients that use downloadable fonts and that print to computers running Windows Server 2003 family operating systems should install the fonts locally.

Required screen and downloadable fonts are sent to the printer for each document. To improve printing times, use device fonts, which are already present at the printer.

Not all printers can use all three types of printer fonts. Pen plotters, for example, usually cannot use downloadable or print raster screen fonts.


Using separator pages

A separator or banner page typically states who sent the document to the printer and gives the date and time of printing. You can use one of the standard separator pages or create a custom page. Windows provides three separator page files, which are located in the systemroot\System32 folder.

The following table shows the names of the separator page files, the type of printer with which it is compatible, and the purpose of each page. You can edit or customize any of these separator pages.

File name | Printer language | Purpose
Pcl.sep | Printer Control Language | Switches the printer to PCL printing and prints a separator page before each document. Pcl.sep is compatible with PCL printers, but may not work unless the printer also supports PJL.
Pscript.sep | PostScript | Switches the printer to PostScript printing, but does not print a separator page before each document. Pscript.sep is compatible with PostScript printers that also support PJL.
Sysprint.sep | PostScript | Switches the printer to PostScript printing and prints a separator page before each document. Sysprint.sep is compatible with PostScript printers.
For more information, see To choose a separator page.

Note

  • The separator page files provided by Windows may not work with some printers.


Using plotters

The following are some considerations when printing to a plotter:

  • In this version of Windows, 7-bit serial connections to plotters are not supported, so you must use 8-bit connections.
  • If you notice that some lines are not printing on a pen plotter, try setting the plotter's control panel so that installed pens are set at the minimum width supported by the hardware. Be aware, however, that some plotters will not print thin lines unless the thinnest pen is selected.
  • Pen plotters can take longer to clear their buffers than other plotters, so you may want to increase the port time-out setting to avoid receiving error messages.
  • Windows plotter printer driver for most HP DesignJet series plotters are designed for use with margins set to Normal, paper size set to Software, and autorotation set to Off. When troubleshooting problems, reset the plotter to the factory defaults and then change only the necessary settings.
  • All plotters supported by this version of Windows use the HP-GL/2 language. Some plotters supported by Windows can be set to receive a choice of plotter languages; however, to work with Windows, HP-GL/2 must be selected. (This version of Windows does not support the HPGL language.)
  • When printing to plotter models that offer a choice of roll or sheet media, the form to tray assignment must be set to the actual paper size available to the plotter. Since selecting a media size or type not featured on the plotter is not supported, doing so may result in misaligned output.


Printing extended or international characters

In addition to the 128 standard ASCII characters you can type using your keyboard, you can use extended or international characters by using the Character Map program.

When Windows prints a document using printer fonts, each character your program sends to the printer is translated to the appropriate resident font. If your printer supports that character, the character prints. Otherwise, another character prints instead. Check your printer manual and experiment with your printer to determine which extended characters your printer supports. This limitation applies only to the printer's built-in fonts. TrueType and OpenType fonts provided in Windows will print all extended characters, unless the font has been mapped to a resident font on the printer. In that case, the TrueType or OpenType font will print only the characters supported by the printer.

For information about changing fonts or using the Character Map program, see Printer fonts overview.


Managing printing from the command line

You can manage your printers at the command line by using:

  • Print to print a text file or to display the contents of a print queue.
  • Net print to display or control print jobs and printer queues.
  • Net start spooler to start the Spooler service.
  • Lpr to print a file to a computer running an LPD server.
  • Lpq to obtain status of a print queue on a computer running the LPD server.

You can obtain additional functionality through scripts by using:

  • Prncnfg.vbs to get and set printer configurations, or to rename a printer.
  • Prndrvr.vbs to add, delete, and list printer drivers.
  • Prnjobs.vbs to pause, resume, cancel, and list print jobs.
  • Prnqctl.vbs to print a test page, pause or resume a printer, and clear a printer queue.
  • Prnmngr.vbs to add, delete, and list printer connections. Prnmngr.vbs can also be used for obtaining and setting the default printer.
  • Prnport.vbs to add, delete, and list standard TCP/IP ports. Prnport.vbs can also be used to obtain and set the port configuration.

For information about other command-line utilities, see Command-line reference. For more information about manageability, see Management strategies and tools. For more information about printing, see Printing.


Managing printing traffic

With a computer running a member of the Windows Server 2003 family, you can use several methods to improve the efficiency of your printing operations and manage your printing traffic:

  • Scheduling alternate printing times
  • Assigning different priority levels
  • Setting print spooler options
  • Creating a printing pool
  • Setting the location of the spool folder
  • Monitoring print queue performance


Scheduling alternate printing times

One way to maximize the use of printers is to schedule alternate printing times for long documents or certain types of documents. For example, if printer traffic is heavy during the day, you can postpone printing of long documents by routing them to a printer that prints only during off-hours. The print spooler continues to accept documents, but it does not send them to the destination printer until the designated start time.

Instead of dedicating an actual print device for only off-hour printing, which is not an efficient use of resources, you can set different logical printers for the same print device and configure each with different available times. One printer might be available from 6:00 PM to 6:00 AM, while the other is available 24 hours a day. You can then tell users to send long documents to the printer available only during off-hours, and all other documents to the printer available all the time. To set up printer availability times, see To schedule alternate printing times.

You can also differentiate the two printers with different priority levels to print certain types of documents before any other types, regardless of time of day. To set priority levels, see To set different print priority to different groups.


Assigning different priority levels

You can expedite documents that need to be printed immediately. Documents sent by users with high priority levels can bypass a queue of lower priority documents waiting to be printed. If two logical printers are associated with the same printer, the Windows Server 2003 family operating system routes documents with the highest priority level to the printer first.

To take advantage of this print priority system, create multiple logical printers for the same printer. Assign each a different priority level, and then create a group of users that corresponds to each printer. For example, users in Group1 might have access rights to a priority 1 printer, users in Group2 might have access rights to a printer with priority 2, and so on.

For a complete procedure on how to set different priority levels using multiple logical printers, see To set different print priority to different groups.


Setting print spooler options

Although you can control whether to use spooling or not, you'll typically want to spool documents you send to printing. Spooling documents expedites the printing process, and allows the application that sent the document to release control back to the user much faster. All the spooling options are set through the Advanced tab of the printer's property page. The following table shows other options you can set to affect how the spooler operates.

Option | Description
Spool print documents so program finishes printing faster | Either select this option or the Print directly to the printer option. If you choose this option, the documents spool. This option has two related options that you must choose between (see the next two options).
Start printing after last page is spooled | The printer does not print a document until it is completely spooled. This is useful for documents that are assigned a low priority. Documents that are assigned a higher priority start printing immediately.
Start printing immediately | The printer starts printing a document before it is completely spooled, which means it is printed sooner, and the application you are printing from releases control back to you faster.
Print directly to the printer | The document does not spool, which decreases printing time. Select this option only for a nonshared printer. This might be useful for other programs that use their own spooling process.
Hold mismatched documents | Documents that do not match the configuration of the printer are not printed. This prevents errors resulting from documents that use paper sizes different from letter size.
Print spooled documents first | A spooled document is printed before a partially spooled document.
Keep documents after they are printed | Documents remain in the print spooler after they are printed, and can be quickly resubmitted for printing. You must carefully watch for disk space if you choose this option.
Enable advanced printing features | When enabled, the document is rendered using metafile datatype (EMF) and advanced features such as Page Order, Booklet Printing, and Pages Per Sheet are available. If compatibility problems occur, try to disable this option.

For more information, see To set printer properties.

If you choose to set different spooling options on the same printer for different groups of users, you need to set multiple logical printers for the same physical printer.


Creating a printing pool

You can create a printing pool to automatically distribute print jobs to the next available printer. A printing pool is one logical printer connected to multiple printers through multiple ports of the print server. The printer that is idle receives the next document sent to the logical printer. This is useful in a network with a high volume of printing because it decreases the time users wait for their documents. A printing pool also simplifies administration because multiple printers can be managed from the same logical printer on a server.

With a printing pool created, the user prints a document without having to find out which printer is available. The logical printer checks for an available port and sends documents to ports in the order that they are added. Adding the port connected to the fastest printer first ensures that documents are sent to the printer that can print the fastest before they are routed to slower printers in the printing pool.

Before setting a printing pool, consider the following:

  • All printers in a pool must use the same driver.
  • Because users will not know which printer in the pool prints a given document, make sure all printers in the pool are located in the same place.

For procedures on how to set a printing pool, see To set up a printer to print to multiple devices.


Setting the location of the spool folder

By default the spool folder is located at systemroot\System32\Spool\Printers. However, this drive also holds the Windows system files. Because these files are frequently accessed by the operating system, performance of both Windows and the printing functions might be slowed.

If your print server serves only one or two printers with low traffic volumes, the default location of the spool folder is sufficient. However, for high-volume printing requirements, to support large numbers of printers, or to support large print jobs, you should relocate the spool folder. For best results, move the spool folder to a drive that has its own controller, which reduces printing's impact on the rest of the operating system.

For information on relocating the print server spool folder, see To change the spool folder location.

For more information on changing the spool folder location for a single printer, see the Windows Server 2003 Resource Kit.


Monitoring print queue performance

You can monitor the performance and operation of printers across the network using System Monitor. Counters can be set up for a variety of performance criteria such as Bytes Printed/sec, Job Errors, and Total Pages Printed.

When you select Print Queue in the Performance object text box, you are provided with a list of all available performance counters for that object. The one you will probably use most is the Jobs counter, which is selected by default.

Other counters help you determine the current load on the print server or provide you with statistics and accumulative printing performance since the last time the system was started.

In System Monitor, click the plus sign (+) to add counters, and then click Explain to see an explanation of the counter.

For information on how to use System Monitor to monitor print queues, see To monitor print queue performance.


Resources

  • Windows Catalog at Support resources
  • Microsoft TechNet at Microsoft TechNet (http://www.microsoft.com/)
  • Microsoft TechNet compact disks
  • Microsoft Product Support Services at the Microsoft Web site (http://www.microsoft.com/)
  • Request for Comments Web site

Note

  • XOX


Troubleshooting

Products in the Windows Server 2003 family have a modular printing architecture with each module responsible for different types of tasks. This modularity provides a great deal of flexibility, allowing you to support different clients on different operating systems and submit print jobs from different environments and applications. However, that flexibility and variety of options can make troubleshooting more challenging.

This section contains information on solving printing problems.

  • General troubleshooting information
  • Troubleshooting common printing problems


General troubleshooting information

Successful troubleshooting depends on your ability to identify the source of the problem. Printing problems occur because of trouble with:

  • The printing device.
  • The connection between the printer and the network.
  • Other printing components in the Windows Server 2003 family products.
  • The network, protocols, and other communication components.

When solving printing problems, a good first step is to identify the process creating the problem. You can often determine this by testing different scenarios. For example, if a network client cannot print to a certain printer and other users can, then you know that the problem is not with the physical printer and its connection to the network.

Troubleshooting printing problems: quick list

A quick way to solve most problems associated with printing is to follow these four steps:

  • Verify the physical printer is operational. If other users can print, it is probably not a problem with the printer, or with the print server.
  • Verify that the printer on the print server is using the correct printer driver. If print clients are using other operating systems, make sure you installed all necessary drivers for the other platforms.
  • Verify the print server is operational, make sure there is enough disk space for spooling, and make sure the print spool service is running.
  • If print clients are using operating systems other than XOX, verify the client computer has the correct printer driver.

Troubleshooting physical problems

  • Check the physical printer and make sure it is in the ready state (ready to print). With most printers, you can print a test page from the printer console itself to verify correct operation.
  • Check the cable connecting the printer and make sure it is connected properly. If the printer is connected directly to the network with a network adapter, check the light on the card, which indicates network connectivity.

Troubleshooting communication problems

  • Make sure you can communicate with the printer over the network. As an example, if a printer communicates over the TCP/IP protocol, you can use the ping command to verify connectivity.
  • Verify communication to the print server from other computers.
  • Check that any service required for the printer and the client submitting the print job is working properly. For example, for a Macintosh client, verify that the AppleTalk protocol is working.
  • Make sure the print spool service is running on the print server.

Troubleshooting Windows Server 2003 family printing

The modularity of the printing architecture makes diagnosing problems fairly easy. Windows Server 2003 family printing across a network consists of seven processes that always occur. By testing each process, you can generally identify the problem.

  1. The administrator adds a printer and shares it.
    • Check the property of the logical printer; make sure the driver is correct for that printer.
    • Using the Add Printer Wizard, you can add another logical printer for the same physical printer to quickly identify whether the problem is with the logical printer.
    • If you cannot browse printer connections, or cannot find the printer port, you might have a network problem.
    • Verify you are logged on as administrator, or as a member of the Administrator group.
  2. A network client connects to that share.
    • Check the property of the logical printer on the client computer; make sure the driver is correct for that printer.
    • Using the Add Printer Wizard, you can add another logical printer for the same physical printer to quickly identify whether the problem is with the logical printer.
    • Check the users permissions to print to that printer, and check which Group Policy settings for printers are enabled.
    • If you cannot browse printer connections, you might have a network problem.
  3. The client application creates a print job.
    • Check whether the document the client is trying to print consists of text only or includes graphics. Check the printer driver and the fonts settings.
    • Check whether there is a problem with the separator page selection.
    • Try to reproduce the same print job from another client; if it prints properly, the problem is most likely not caused by this process.
  4. The client system sends the print job to the printer share on the print server.
    • Check the network transport; for example, TCP/IP, NWLink, or AppleTalk.
    • Check other network components that are required to print; for example Print Server for Macintosh or Print Services for Unix.

      • Note

      • XOX
    • Make sure the network is working properly for the client. Check the network adapter and intermediate network devices.
    • Make sure the print spool folder on the print server has not run out of disk space.
    • Try to send the print job to the spooler in another way, or from another application.
  5. The print server receives, spools, and—if necessary—alters the print job.
    • Check disk space for spooling.
    • Make sure the problem does not involve an incorrect data type, such as RAW or PScript1.
    • Try to change an EMF print job to RAW to see whether it solves the problem.
  6. The print server sends the print jobs to the printer.
    • Check network transport (such as TCP/IP or NWLink) and other network devices.
    • Check the physical printer connection to the network.
    • Make sure the printer is ready to print.
    • Try to print from other network clients.
  7. The printer interprets the job and produces hardcopy output.
    • Make sure the printer is ready to print.
    • Try to print a test page from the printer console.


Troubleshooting common printing problems

What problem are you having?

A printer connected to a computer does not print.

Cause: A problem might exist with the physical printer, the print driver, a print server, or the application you are trying to print from.

Solution: Try the following steps to identify and solve the problem.

  • Verify the physical printer is in ready state, and that the correct default printer is set.
  • Try to print a test page.
  • Try printing from the command line (on non-PostScript printers only). Type Dir > LPT1 at the command prompt.
  • Try printing from Notepad. This verifies that the printer driver is correct, and confirms that the problem lies with the application. If you cannot print from Notepad, the problem lies with the printer driver.
  • Check the available disk space on the system drive. If there is not enough room to spool the job, larger jobs might fail where smaller jobs do not.

A printer connected to the network does not print.

Cause: A problem might exist with the physical printer, the logical printer setting on the client computer, the application you are trying to print from, network protocols, or hardware.

Solution: Try the following to isolate and solve the problem:

  • Verify basic network connectivity. Check user rights, protocols, share names, and so on to determine whether you can see the server. Try to copy a file to the server; if you cannot access the server, you might not be able to access the printer.
  • On the Advanced tab, make sure the printer availability time is correct.
  • Create a local printer and redirect the port to the network server. Using the Add Printer Wizard, click Local, and then type the server and printer name for the printer (\\servername\printername). This determines whether you can copy files from the print server.
  • Check the available disk space on the print server. If there is not enough room to spool the job, larger jobs might fail where smaller jobs do not.

Printing from an Outlook client with multiple languages is slow.

Cause: Multiple languages are installed on the client computer, but not on the print server computer.

Solution: If clients use additional languages on their computers, you need to add these languages to print server.

Users on Windows 95 or Windows 98 cannot connect to a printer.

Cause: Print drivers for Windows 95 and Windows 98 are not the same as for the Windows Server 2003 family, and are not installed on the print server.

Solution: Make sure the user has Print permission, and make sure the proper printer driver is installed on the print server for that operating system.

Users get an Access Denied message when trying to configure a printer from within an application.

Cause: You do not have the appropriate permission to change printer configuration.

Solution: You need Manage Printer permission to change the printer's setup.

The document does not print completely, or comes out garbled.

Cause: The printer's driver is either corrupted or incorrect.

Solution: Verify or reinstall the correct printer driver on the client computer.

Hard disk problems occur, and the document does not reach the print server.

Cause: The hard disk might not have enough space for spooling the document.

Solution: Make sure the hard disk has enough disk space, or relocate the spool folder to another volume.

Documents on the print server will not print and cannot be deleted.

Cause: The print spooler might be stalled.

Solution: On the print server, try to stop and restart the Print Spooler service.

An application on a 16-bit version of Windows (such as Windows for Workgroups) gives an out-of-memory error on startup.

Cause: A default printer is not selected.

Solution: Add a printer and set it as the default printer.

A document sent to the printer from an MS-DOS–based program on a XOX, Windows 2000, or Windows NT 4.0 client does not print.

Cause: Some MS-DOS programs will not print until you close the program.

Solution: Close the application you tried to print from. In addition, make sure the correct printer driver is installed on the client computer.

A driver is not listed.

Cause: The printer was not on the market when the Windows Server 2003 family was released, or a newer version of the print driver has only recently become available.

Solution: Windows printer drivers are developed through cooperation between Microsoft and the independent hardware vendor (IHV) that manufactures the print device. A product in the Windows Server 2003 family supports all print devices listed in the Windows Catalog; see Support resources.

For new and updated print drivers, see Microsoft printing support at the Microsoft Web site.(http://www.microsoft.com/). You should also check Windows Update (http://www.microsoft.com/).

A new print driver downloaded from the Internet needs to be installed.

Cause: The print driver is not listed in the Add Printer Wizard's list of printers, but instead was downloaded from the Internet.

Solution:
  1. Download the printer driver to an empty folder.
  2. Expand the files by typing the name of the executable followed by the -d switch. For example, if the name of the file is Nt4prn.exe, type the following at a command prompt:

    3. nt4prn -d

  3. Read the Readme.txt and the License.txt files.
  4. Click Start, point to Settings, and then click Printers and Faxes.
  5. Double-click Add Printer to start the Add Printer Wizard, click Next, click Local printer attached to this computer, and then click Next.
  6. Click the port where your printer is attached, and then click Next.
  7. Click Have Disk, enter the path from Step 1, and then click OK.
  8. Click the appropriate printer, click Next, and then continue with the Add Printer Wizard.

Microsoft does not have the printer driver for the printer.

Cause: The printer might be too new, and Microsoft does not have the driver ready on its Web site.

Solution: Find a printer driver emulation that can provide the correct output. Check with the printer manufacturer to see if they have a Windows Server 2003 family printer driver.

With printer location tracking enabled, some printers cannot be located.

Cause: After printer location tracking is enabled, the default behavior is that the user will find only those printers whose location attribute matches the naming convention.

Solution: You need to set the location string again for this printer. For information on how to do this, see To enable printer location tracking.

The company has changed its organization, and as a result the naming scheme has to change.

Solution: First, use Active Directory Sites and Services to update the sites and subnets. Next, you need to update all the printer location fields for the affected printers in the organization. You can create an ADSI script to expedite the updates.

My organization has a small network without any subnets.

Solution: Active Directory cannot locate a node in the tree of your directory without having a subnet associated with it. If your organization is small enough, then this is not a problem, and users can search for any printer in the organization. But for larger organizations, or ones with many printers, you can still allow users to browse the location hierarchy as an aid to locate a printer. To do this, you need to create artificial subnets in Active Directory to correspond to the hierarchy you want to create.


Using printer control codes

A printer control code (or control sequence) is one or more characters that a computer program sends to a printer to initiate an action, such as moving to the beginning of a new line. Control codes are often used when a program does not support the printer you are using or does not support one of its specialized features.

The following table lists the hexadecimal values of some common control codes:

To send this | Type this (including the brackets)
TAB | <09>
Carriage return | <0D>
ESC | <1B>
Form feed | <0C>
Line feed | <0A>
NUL | <00>

You can install a generic text printer from Printers by clicking Start, pointing to Settings, and then clicking Printers.

To determine if your printer supports the use of control codes, see your printer's operating manual.


Change the parallel port time-out settings

To change the parallel port time-out settings

  1. XOX
  2. Right-click the printer you want to change, and then click Properties.
  3. On the Ports tab, click the LPT port that the printer uses, and then click Configure Port.
  4. Type the new number for the time-out setting in Transmission Retry.

Notes

  • To change device settings, you must have the Manage Printers permission. For information about printing security permissions, see Related Topics.
  • XOX
  • If you are printing to a pen plotter, you might need to increase the port time-out setting to allow more time for the plotter to clear its buffer.
  • If you print to more than one parallel port, change Transmission Retry for each port.

Related Topics


Print TrueType fonts as graphics

To print TrueType fonts as graphics

To change printing preferences, you must have the Print permission, which is one of several printer permissions. XOX

  1. XOX
  2. XOX
  3. Click Advanced.
  4. Under Document Options, select the Print Text as Graphics check box.

    5. Print Text as Graphics appears in the dialog box only if your printer supports this feature.

  5. Click Enabled.

Notes

  • XOX
  • When your printer supports Print Text as Graphics, TrueType fonts are downloaded to the printer by default. In general, this speeds up printing because the fonts in your document reside in the printer's memory. If your printer is unable to print a document when Print Text as Graphics is enabled, disable this setting and then try printing again.
  • You can also open printing preferences in Printers and Faxes by clicking a printer, and then clicking Select printing preferences under Tasks on the left side of the window. This option is available only if folders are set to look like a Web page and a printer is selected. XOX
  • XOX
  • For information about setting the printing default for all users connected to the printer, click Related Topics.

Related Topics


Print queue overview

The print queue shows the documents that are waiting to be printed. For each item on the list, information, such as the print status and number of pages, is provided. The following table shows the information displayed for each document in the queue.

Column | Description
Document Name | The file name of the document.
Status | The current status of the document, such as Spooling, Paused, or Printing.
Owner | The user name of the person who sent the document to the printer.
Pages | The number of pages that have printed and the total number of pages in the document.
Size | The size of the document in kilobytes.
Submitted | The time and date that the document was sent to the printer.
Port | The port being used by the printer.

If you manage a printer, you can control certain operations from the print queue. For example, you can pause or resume operation of the printer, and you can cancel printing of all documents waiting to be printed.

You can also manage documents you send to the printer. You can pause, resume, or cancel printing of a document; restart printing of a document; or you may view and change job settings, such as the priority and the person notified when the job is done. For documents waiting to print, you can view, but not change, settings such as the page orientation, paper source, and number of copies.

XOX


Set print server properties

To set print server properties

  1. XOX
  2. On the File menu, click Server Properties.
  3. Click each tab to see the available choices, and set options as required, such as creating a new form, adding and configuring ports, adding and updating printer drivers, and setting spooler options.

Notes

  • XOX
  • XOX
  • Setting and changing the print server properties affects all printers on the print server.
  • For more information on administering printers from the command line, see Related Topics.

Related Topics